GNU bug report logs - #50833
[PATCH] Add Bower (notmuch curses email client)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: jgart <jgart@HIDDEN>; Keywords: moreinfo; dated Sun, 26 Sep 2021 23:09:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 11 Jul 2022 16:09:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 11 12:09:17 2022
Received: from localhost ([127.0.0.1]:40805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oAvyG-00030y-OZ
	for submit <at> debbugs.gnu.org; Mon, 11 Jul 2022 12:09:17 -0400
Received: from mail-qk1-f172.google.com ([209.85.222.172]:40605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1oAvyE-00030i-4x
 for 50833 <at> debbugs.gnu.org; Mon, 11 Jul 2022 12:09:14 -0400
Received: by mail-qk1-f172.google.com with SMTP id y22so3050609qki.7
 for <50833 <at> debbugs.gnu.org>; Mon, 11 Jul 2022 09:09:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=H9X+nnn1GQFzfd4aeeVEZhCucihjruMp6CfPVqsdkRY=;
 b=FWGaYre4ij5h1J5/2eUCh5T2lDKYjzidfME2b1L5lzegaS13lSPWs4XIyU+V0yESlV
 7VJqPgTdTd+cu1ZZa7xhG3jff4KLj1mButgrsj2aPu17Kpw98KClNsF6ugppZNYXgZWK
 /j5nTLvCc9gs9W4ZvWeYpSIHKJji7N1UwxQCZTdfz0sHqqSG41xEv5c6SMc1kPV5JnBv
 dcoBqRvoGz1Y1/VCRr5iD8sBzvJ0I9G6xSJIAWRhkyVyO6Q50M4wiZfHAog6LqDS0UsN
 //DigcVsy7wbfGu64Z9XCeQDKoH3Q6xIRujXWXqj1sOQXpm+9N9TaNSV33SkbD0V/8YL
 ohpA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=H9X+nnn1GQFzfd4aeeVEZhCucihjruMp6CfPVqsdkRY=;
 b=3H5NCS2Dp2NnfVJGoHga+xurBhMzhYzaOu75fLwXEXMzSDn/BhJqkRE7MOLF5FDRK5
 7Hmq0LWdwXZ2BSFCzeydGpyHjCCxpWIGCuzuLvUdLA6OIe4rSM62f7i1yg5MO1qmtsSh
 dW9NYQZlI0InsfbnImOcemYzT3BFQH+qh3gznTqPjKQqxCy3xhnpoTGtHgrZqaYyyKqG
 Kbr4lysBd2eVRYa/HgOwdCvgcL9ihUHmF9pPPK4GSe2qVVt9mJx5rGyVgGcD9v6rArIA
 jZ+YZP++oNxAKJi2VZjW1Z6qYeJXfdvITsruF/Crih2Upxd9zXLpWif0fL2O9tFuCEPN
 roHw==
X-Gm-Message-State: AJIora8u2fBfX9Upm1genB0QISLZr8WuDdg30g6/LHK3ZxfThKedRjZC
 Dk01PdRceONf71YMGUHPohM=
X-Google-Smtp-Source: AGRyM1sqOfPfbqYxBb+h0EjXus8FIFfV9+12bgwKDzXusncJRpL2oZyYeH1sILmMnNaxS8IQOuLKaA==
X-Received: by 2002:a37:9d03:0:b0:6b5:6e86:5bce with SMTP id
 g3-20020a379d03000000b006b56e865bcemr9082155qke.558.1657555748466; 
 Mon, 11 Jul 2022 09:09:08 -0700 (PDT)
Received: from hurd (dsl-155-226.b2b2c.ca. [66.158.155.226])
 by smtp.gmail.com with ESMTPSA id
 h9-20020a05620a244900b006af59e9ddeasm6617062qkn.18.2022.07.11.09.09.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 11 Jul 2022 09:09:07 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: jgart <jgart@HIDDEN>
Subject: Re: bug#50833: [PATCH] Add Bower (notmuch curses email client)
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
 <20211025003258.GB16646@HIDDEN> <87h7d5l29p.fsf_-_@HIDDEN>
 <878rrzwjj1.fsf_-_@HIDDEN> <20220505143110.GB5411@gac>
 <87o7y0ztse.fsf_-_@HIDDEN> <20220707192306.GV1675@gac>
Date: Mon, 11 Jul 2022 12:09:06 -0400
In-Reply-To: <20220707192306.GV1675@gac> (jgart@HIDDEN's message of "Thu, 
 7 Jul 2022 19:23:06 -0500")
Message-ID: <87leszd42l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Sarah Morgensen <iskarian@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

jgart <jgart@HIDDEN> writes:

[...]

>> > I can patch sendmail and the others mentioned by Sarah. What should we
>> > do about lynx given wangp's insight on lynx as default in bower?
>> 
>> I think we should patch it, given that according to wangp "it doesn't
>> behave that nicely when lynx is missing but it won't crash." and taking
>> into account that lynx is very small (guix size lynx says it has a
>> closure of 185.4 MiB).
>> 
>> I'm looking forward to the v2 :-)
>
> So, I should just patch lynx then, or also other things on that list?

Sarah had sent a useful list of commands they could find referenced in
the source:

>--8<---------------cut here---------------start------------->8---
src/compose.m
1488:base64_command = command_prefix(shell_quoted("base64"), quote_once).

src/detect_mime_type.m
55:file_command = command_prefix(shell_quoted("file"), quote_once).

src/prog_config.m

:- func default_notmuch_command = command_prefix.

default_notmuch_command =
    command_prefix(shell_quoted("notmuch"), quote_once).

:- func default_editor_command = command_prefix.

default_editor_command =
    command_prefix(shell_quoted("vi"), quote_once).

:- func default_html_dump_command = command_prefix.

default_html_dump_command = command_prefix(shell_quoted(Lynx), quote_once) :-
    Lynx = "lynx -dump -force-html -stdin -display-charset=utf-8".

:- func default_open_part_command = string.

default_open_part_command = "xdg-open&".

:- func default_open_url_command = string.

default_open_url_command = "xdg-open&".

:- func default_pipe_id_command = string.

default_pipe_id_command = "xclip".

:- func default_alt_html_filter_command = command_prefix.

default_alt_html_filter_command =
    command_prefix(shell_quoted("pandoc -f markdown -t html"), quote_once).

:- func default_poll_period_secs = maybe(int).

default_poll_period_secs = yes(60).

:- func default_auto_refresh_inactive_secs = maybe(int).

default_auto_refresh_inactive_secs = no.

:- func default_sendmail_command = command_prefix.

default_sendmail_command =
    command_prefix(shell_quoted("/usr/bin/sendmail -oi -oem"), quote_once).
--8<---------------cut here---------------end--------------->8---

Out of these, I'd patch 'base64', 'file', 'notmuch', 'lynx' and
'sendmail', and leave the rest to be picked from PATH if available.

Could you send an updated version patching the above commands?  With
this, it should be good to go.

Thank you,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 8 Jul 2022 19:42:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 08 15:42:54 2022
Received: from localhost ([127.0.0.1]:33195 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o9tsM-0003DN-KV
	for submit <at> debbugs.gnu.org; Fri, 08 Jul 2022 15:42:54 -0400
Received: from mx1.dismail.de ([78.46.223.134]:21019)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1o9tsK-0003D5-70
 for 50833 <at> debbugs.gnu.org; Fri, 08 Jul 2022 15:42:53 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id c49d6fab;
 Fri, 8 Jul 2022 21:42:45 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=date
 :message-id:from:to:cc:subject:in-reply-to:references
 :mime-version:content-type:content-transfer-encoding; s=
 20190914; bh=0c7CqM4ztItYN82ZPD79Jd6bZE1s8gvBCifWNF1dAJY=; b=OOT
 eZofQzM+lnA7VKhLEq98nOZ3YbZx3g63KMdxdTkEESoYFgch762cuIg+6Hzc6gnh
 Ma9HVxfqAvZmBTXiaagJZJkwv7H2QEpBMl8RFY9pf4/DR+O9prgktbaYz/V1Cehy
 6OCt3z5BQDU430bO1vAj8rk9F4Tteo1ivJevRu7CN64VLWLqyD9vJKFrvjHn7RjA
 KMd1nEphu5jff79xKYJBRESUTItnilHelx697AuZ+2gYDP3Z/mBhCOpenQDE9cgS
 yK3db4Y0uAMXpco6MOAKtWsrs9JHDGU3XT/di0mlFFdpnkLzMe26uw2o/so7fi8e
 PuxFGzPq3SSR33vcLOQ==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id c678a0b0;
 Fri, 8 Jul 2022 21:42:45 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id c724eb34;
 Fri, 8 Jul 2022 21:42:45 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 0bfaa565
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 8 Jul 2022 21:42:44 +0200 (CEST)
Date: Fri, 8 Jul 2022 14:42:49 -0500
Message-ID: <20220708144249.GB22276@gac>
From: jgart <jgart@HIDDEN>
To: Munyoki Kilyungi <me@HIDDEN>
Subject: Re: [bug#50833] [PATCH] Add Bower (notmuch curses email client)
In-Reply-To: <20220708134701.GB20435@gac>
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
 <20211025003258.GB16646@HIDDEN> <87h7d5l29p.fsf_-_@HIDDEN>
 <878rrzwjj1.fsf_-_@HIDDEN> <20220505143110.GB5411@gac>
 <87o7y0ztse.fsf_-_@HIDDEN> <20220707192306.GV1675@gac>
 <86edyvq4fp.fsf@HIDDEN> <20220708134701.GB20435@gac>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org, Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Sarah Morgensen <iskarian@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 jgart via Guix-patches via <guix-patches@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, 08 Jul 2022 13:47:01 -0500 jgart <jgart@HIDDEN> wrote:
> On Fri, 08 Jul 2022 13:33:46 +0300 Munyoki Kilyungi <me@HIDDEN> wrote:
> > jgart via Guix-patches via <guix-patches@HIDDEN>
> > anaandika:
> > 
> > [...]
> > 
> > >
> > > So, I should just patch lynx then, or also other things on that list?
> > >
> > > btw, bower is currently available from guixrus:
> > >
> > > https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packages/misc.scm#L143
> > >
> > > I also maintain the nix package for bower:
> > >
> > > https://github.com/NixOS/nixpkgs/blob/nixos-22.05/pkgs/applications/networking/mailreaders/notmuch-bower/default.nix#L34
> > >
> > 
> > > I might stop maintaining the nix package since it's not as exciting work as maintaining the Guix package and I think I don't have time for that anymore ;()
> > >
> > A bit of yak-shaving here, but why would you want
> > nix+guix on the same system?
> 
> Sometimes nix has a package that guix doesn't have and it might take a long time to package it for Guix properly so I just install it immediately with nix (think escape hatch).

The same goes for any other package manager (e.g. pip, xbps, apt, npm, etc...). This is not an exclusive technique I use only with nix. I'm a consumer of packages. Guix keeps me honest, though. 




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jul 2022 19:42:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 08 15:42:57 2022
Received: from localhost ([127.0.0.1]:33197 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o9tsO-0003DW-TS
	for submit <at> debbugs.gnu.org; Fri, 08 Jul 2022 15:42:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:50838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1o9tsL-0003DG-N6
 for submit <at> debbugs.gnu.org; Fri, 08 Jul 2022 15:42:54 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37572)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jgart@HIDDEN>) id 1o9tsL-0001pT-6c
 for guix-patches@HIDDEN; Fri, 08 Jul 2022 15:42:53 -0400
Received: from mx1.dismail.de ([78.46.223.134]:21131)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jgart@HIDDEN>)
 id 1o9tsI-00054V-Io; Fri, 08 Jul 2022 15:42:52 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id c49d6fab;
 Fri, 8 Jul 2022 21:42:45 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=date
 :message-id:from:to:cc:subject:in-reply-to:references
 :mime-version:content-type:content-transfer-encoding; s=
 20190914; bh=0c7CqM4ztItYN82ZPD79Jd6bZE1s8gvBCifWNF1dAJY=; b=OOT
 eZofQzM+lnA7VKhLEq98nOZ3YbZx3g63KMdxdTkEESoYFgch762cuIg+6Hzc6gnh
 Ma9HVxfqAvZmBTXiaagJZJkwv7H2QEpBMl8RFY9pf4/DR+O9prgktbaYz/V1Cehy
 6OCt3z5BQDU430bO1vAj8rk9F4Tteo1ivJevRu7CN64VLWLqyD9vJKFrvjHn7RjA
 KMd1nEphu5jff79xKYJBRESUTItnilHelx697AuZ+2gYDP3Z/mBhCOpenQDE9cgS
 yK3db4Y0uAMXpco6MOAKtWsrs9JHDGU3XT/di0mlFFdpnkLzMe26uw2o/so7fi8e
 PuxFGzPq3SSR33vcLOQ==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id c678a0b0;
 Fri, 8 Jul 2022 21:42:45 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id c724eb34;
 Fri, 8 Jul 2022 21:42:45 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 0bfaa565
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 8 Jul 2022 21:42:44 +0200 (CEST)
Date: Fri, 8 Jul 2022 14:42:49 -0500
Message-ID: <20220708144249.GB22276@gac>
From: jgart <jgart@HIDDEN>
To: Munyoki Kilyungi <me@HIDDEN>
Subject: Re: [bug#50833] [PATCH] Add Bower (notmuch curses email client)
In-Reply-To: <20220708134701.GB20435@gac>
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
 <20211025003258.GB16646@HIDDEN> <87h7d5l29p.fsf_-_@HIDDEN>
 <878rrzwjj1.fsf_-_@HIDDEN> <20220505143110.GB5411@gac>
 <87o7y0ztse.fsf_-_@HIDDEN> <20220707192306.GV1675@gac>
 <86edyvq4fp.fsf@HIDDEN> <20220708134701.GB20435@gac>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=78.46.223.134; envelope-from=jgart@HIDDEN;
 helo=mx1.dismail.de
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 50833 <at> debbugs.gnu.org, Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Sarah Morgensen <iskarian@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 jgart via Guix-patches via <guix-patches@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On Fri, 08 Jul 2022 13:47:01 -0500 jgart <jgart@HIDDEN> wrote:
> On Fri, 08 Jul 2022 13:33:46 +0300 Munyoki Kilyungi <me@HIDDEN> wrote:
> > jgart via Guix-patches via <guix-patches@HIDDEN>
> > anaandika:
> > 
> > [...]
> > 
> > >
> > > So, I should just patch lynx then, or also other things on that list?
> > >
> > > btw, bower is currently available from guixrus:
> > >
> > > https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packages/misc.scm#L143
> > >
> > > I also maintain the nix package for bower:
> > >
> > > https://github.com/NixOS/nixpkgs/blob/nixos-22.05/pkgs/applications/networking/mailreaders/notmuch-bower/default.nix#L34
> > >
> > 
> > > I might stop maintaining the nix package since it's not as exciting work as maintaining the Guix package and I think I don't have time for that anymore ;()
> > >
> > A bit of yak-shaving here, but why would you want
> > nix+guix on the same system?
> 
> Sometimes nix has a package that guix doesn't have and it might take a long time to package it for Guix properly so I just install it immediately with nix (think escape hatch).

The same goes for any other package manager (e.g. pip, xbps, apt, npm, etc...). This is not an exclusive technique I use only with nix. I'm a consumer of packages. Guix keeps me honest, though. 




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 8 Jul 2022 18:47:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 08 14:47:07 2022
Received: from localhost ([127.0.0.1]:33174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o9t0N-0001tn-2x
	for submit <at> debbugs.gnu.org; Fri, 08 Jul 2022 14:47:07 -0400
Received: from mx1.dismail.de ([78.46.223.134]:27242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1o9t0L-0001tD-DI
 for 50833 <at> debbugs.gnu.org; Fri, 08 Jul 2022 14:47:05 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 56f191dd;
 Fri, 8 Jul 2022 20:46:57 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=date
 :message-id:from:to:cc:subject:in-reply-to:references
 :mime-version:content-type:content-transfer-encoding; s=
 20190914; bh=LGbOvcqjzzdHR49OgaAuPfed5+jS+koTFTyuIreYMUY=; b=sc8
 Ph/kn0YzPoGgicgxsGKI/gJPVaK9/Zixy2pMST7zekUzL/yZH3RzsoKqvAfU3Oea
 LdBfEF9tinwiAxYabPnVtDnSV8w5k7UYXDqV0+5Juf642UQyPChr0YK1e3MbjAHj
 d/hPYIkZPW3/fyOgXCkS/mz0OFsFGkesYtxyHtLeh4lIoVSLKg7UFYDCQb/Aya+a
 2lx9BzPDyN6vd70TzOCUyiZqUctCZ6zarSK4y33XXNg5mEa4buJWtEjkSsjLB2wk
 FS9dw6xuqaiHRjyqIfABrRM1kZfhY5jRWOCBeK4RRnGl4PiIxxJyvCW3/OwmheT2
 pDuozWUnNfRNo2G+w3Q==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 078519e2;
 Fri, 8 Jul 2022 20:46:57 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id 0d215bfe;
 Fri, 8 Jul 2022 20:46:57 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 5fa504f1
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 8 Jul 2022 20:46:56 +0200 (CEST)
Date: Fri, 8 Jul 2022 13:47:01 -0500
Message-ID: <20220708134701.GB20435@gac>
From: jgart <jgart@HIDDEN>
To: Munyoki Kilyungi <me@HIDDEN>
Subject: Re: [bug#50833] [PATCH] Add Bower (notmuch curses email client)
In-Reply-To: <86edyvq4fp.fsf@HIDDEN>
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
 <20211025003258.GB16646@HIDDEN> <87h7d5l29p.fsf_-_@HIDDEN>
 <878rrzwjj1.fsf_-_@HIDDEN> <20220505143110.GB5411@gac>
 <87o7y0ztse.fsf_-_@HIDDEN> <20220707192306.GV1675@gac>
 <86edyvq4fp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org, Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Sarah Morgensen <iskarian@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 jgart via Guix-patches via <guix-patches@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, 08 Jul 2022 13:33:46 +0300 Munyoki Kilyungi <me@HIDDEN> wrote:
> jgart via Guix-patches via <guix-patches@HIDDEN>
> anaandika:
> 
> [...]
> 
> >
> > So, I should just patch lynx then, or also other things on that list?
> >
> > btw, bower is currently available from guixrus:
> >
> > https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packages/misc.scm#L143
> >
> > I also maintain the nix package for bower:
> >
> > https://github.com/NixOS/nixpkgs/blob/nixos-22.05/pkgs/applications/networking/mailreaders/notmuch-bower/default.nix#L34
> >
> 
> > I might stop maintaining the nix package since it's not as exciting work as maintaining the Guix package and I think I don't have time for that anymore ;()
> >
> A bit of yak-shaving here, but why would you want
> nix+guix on the same system?

Sometimes nix has a package that guix doesn't have and it might take a long time to package it for Guix properly so I just install it immediately with nix (think escape hatch).




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jul 2022 18:47:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 08 14:47:09 2022
Received: from localhost ([127.0.0.1]:33176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o9t0P-0001tw-BF
	for submit <at> debbugs.gnu.org; Fri, 08 Jul 2022 14:47:09 -0400
Received: from lists.gnu.org ([209.51.188.17]:34730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1o9t0M-0001tg-95
 for submit <at> debbugs.gnu.org; Fri, 08 Jul 2022 14:47:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55458)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jgart@HIDDEN>) id 1o9t0L-0007WG-UE
 for guix-patches@HIDDEN; Fri, 08 Jul 2022 14:47:05 -0400
Received: from mx1.dismail.de ([78.46.223.134]:4387)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jgart@HIDDEN>)
 id 1o9t0I-0005CW-Dw; Fri, 08 Jul 2022 14:47:05 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 56f191dd;
 Fri, 8 Jul 2022 20:46:57 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=date
 :message-id:from:to:cc:subject:in-reply-to:references
 :mime-version:content-type:content-transfer-encoding; s=
 20190914; bh=LGbOvcqjzzdHR49OgaAuPfed5+jS+koTFTyuIreYMUY=; b=sc8
 Ph/kn0YzPoGgicgxsGKI/gJPVaK9/Zixy2pMST7zekUzL/yZH3RzsoKqvAfU3Oea
 LdBfEF9tinwiAxYabPnVtDnSV8w5k7UYXDqV0+5Juf642UQyPChr0YK1e3MbjAHj
 d/hPYIkZPW3/fyOgXCkS/mz0OFsFGkesYtxyHtLeh4lIoVSLKg7UFYDCQb/Aya+a
 2lx9BzPDyN6vd70TzOCUyiZqUctCZ6zarSK4y33XXNg5mEa4buJWtEjkSsjLB2wk
 FS9dw6xuqaiHRjyqIfABrRM1kZfhY5jRWOCBeK4RRnGl4PiIxxJyvCW3/OwmheT2
 pDuozWUnNfRNo2G+w3Q==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 078519e2;
 Fri, 8 Jul 2022 20:46:57 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id 0d215bfe;
 Fri, 8 Jul 2022 20:46:57 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 5fa504f1
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 8 Jul 2022 20:46:56 +0200 (CEST)
Date: Fri, 8 Jul 2022 13:47:01 -0500
Message-ID: <20220708134701.GB20435@gac>
From: jgart <jgart@HIDDEN>
To: Munyoki Kilyungi <me@HIDDEN>
Subject: Re: [bug#50833] [PATCH] Add Bower (notmuch curses email client)
In-Reply-To: <86edyvq4fp.fsf@HIDDEN>
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
 <20211025003258.GB16646@HIDDEN> <87h7d5l29p.fsf_-_@HIDDEN>
 <878rrzwjj1.fsf_-_@HIDDEN> <20220505143110.GB5411@gac>
 <87o7y0ztse.fsf_-_@HIDDEN> <20220707192306.GV1675@gac>
 <86edyvq4fp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=78.46.223.134; envelope-from=jgart@HIDDEN;
 helo=mx1.dismail.de
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 50833 <at> debbugs.gnu.org, Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Sarah Morgensen <iskarian@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 jgart via Guix-patches via <guix-patches@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On Fri, 08 Jul 2022 13:33:46 +0300 Munyoki Kilyungi <me@HIDDEN> wrote:
> jgart via Guix-patches via <guix-patches@HIDDEN>
> anaandika:
> 
> [...]
> 
> >
> > So, I should just patch lynx then, or also other things on that list?
> >
> > btw, bower is currently available from guixrus:
> >
> > https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packages/misc.scm#L143
> >
> > I also maintain the nix package for bower:
> >
> > https://github.com/NixOS/nixpkgs/blob/nixos-22.05/pkgs/applications/networking/mailreaders/notmuch-bower/default.nix#L34
> >
> 
> > I might stop maintaining the nix package since it's not as exciting work as maintaining the Guix package and I think I don't have time for that anymore ;()
> >
> A bit of yak-shaving here, but why would you want
> nix+guix on the same system?

Sometimes nix has a package that guix doesn't have and it might take a long time to package it for Guix properly so I just install it immediately with nix (think escape hatch).




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 8 Jul 2022 10:34:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 08 06:34:08 2022
Received: from localhost ([127.0.0.1]:58909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o9lJH-0007x0-Ne
	for submit <at> debbugs.gnu.org; Fri, 08 Jul 2022 06:34:07 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:54693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1o9lJ7-0007vF-38
 for 50833 <at> debbugs.gnu.org; Fri, 08 Jul 2022 06:34:06 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 02C7F5C0113;
 Fri,  8 Jul 2022 06:33:52 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Fri, 08 Jul 2022 06:33:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=cc:cc:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to; s=fm1; t=1657276431; x=
 1657362831; bh=Dbk/QgDp8AVA51D1wlQfbwDiixhg9Ke4NAD5IH3taKw=; b=N
 gw5AB1bRZ5rNkGjZX2A68gpfqjF6fOQwqlIVHUxv8kFqMEngZL9BjVYZuTfgY1jI
 CXIcsGPQwrX7hDjQOZY5iZlODo2AR2/SmA2qDjv80MBPlgkALKPLvwqmg3M28ecy
 iBiJdAgSfwBRH8slNsu23EscRW+PIiIJ62GustoC4VRFyd+Rt9J+lHb/9ct+SfRV
 bjXIkNsCDYAK2X+4kOcfatquR54rLFufIRNn64lX/jgzdgUg3rkAyrFzEgcRlpQ9
 6e8q1Rr4Z92WywS5UyxcNUH0hPV58jscCnx6FRCKsZfGBx+zkYdmR7MBc3vgvlQY
 SVMsjFQ/eFlftKDRe2nEw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:in-reply-to:message-id
 :mime-version:references:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; t=1657276431; x=1657362831; bh=Dbk/QgDp8AVA51D1wlQfbwDiixhg
 9Ke4NAD5IH3taKw=; b=gvgqd2dnuzx6xO6L9emhBOwf41mVupWvzfMQ0ag7NL5Q
 gKkdakmF/dCqy8n3VHzKJSYw/mR7S6ngjZ92HXL+uhpWFvxlONn2q+fv/AGJU8b4
 A9vmMKLQ2fCDaSO7hiFG2NWAoXiRZ6ExRozZzYNrsBbW1xdeItl7PtqX8Z1OL1AU
 1VeEESOV3dwHMFHfIFGVqflYg5XiU5nqpm96Z4JIDbIxdO3gYMG9MvI9H4w6IS1Y
 641Fsh1uZ40ax78Wvg7k5bzlBH5LcmiLC8zuw3pcEEgVS3Q0jrkt+ddj1OMj3lEx
 cP5w1MWc8FcHoe2tFHZ6fTsvK9nlcIhQwSc3CcjuwQ==
X-ME-Sender: <xms:DwjIYq4vFx6jXnMQYNJUqW3d4Y0BFa2RBBUaiz--uvG5-U3TtssZwA>
 <xme:DwjIYj69E8UF_SxbhJxvlCjQuEmHgEZCltgepuPFRiAtH7fXSPaWIZdofwggD3wWb
 stLHWDXLoiOrQTsvyA>
X-ME-Received: <xmr:DwjIYpef9dVyh7KUCjFBMkYzNjj_KwtsMK5XcBDwbIkh_PhxNKM-xMS53-A>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrudeijedgfeduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvvefufhffjgfkfgggtgesghdtreertdertdenucfhrhhomhepofhunhih
 ohhkihcumfhilhihuhhnghhiuceomhgvsegsohhnfhgrtggvmhhunhihohhkihdrtghomh
 eqnecuggftrfgrthhtvghrnhepleekleeghfffgfefvdegudehleehfeehfffhfeekleel
 ieekjeejteekfeeigedunecuffhomhgrihhnpehsrhdrhhhtpdhgihhthhhusgdrtghomh
 dpghhnuhhpghdrnhgvthenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgr
 ihhlfhhrohhmpehmvgessghonhhfrggtvghmuhhnhihokhhirdgtohhm
X-ME-Proxy: <xmx:DwjIYnIJDh0_FjojG43yF-EVEwBL3-xM2CeQ3zMFyIDTSrlfkssrPg>
 <xmx:DwjIYuI10shfrMEougaNCkYntX3Rm-bc98lCXiBr1lKvWiU6vB06RA>
 <xmx:DwjIYoyZKIdSnetI5u1Es-9vDZ4xY6RJ3pFzShWXasTv8w13NvhhRA>
 <xmx:DwjIYjGruE6504c02Se68tZUHW40aTqd822n10JQxFzj3FyXvUD-LA>
Feedback-ID: ib8a1471e:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Fri,
 8 Jul 2022 06:33:50 -0400 (EDT)
From: Munyoki Kilyungi <me@HIDDEN>
To: jgart via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#50833] [PATCH] Add Bower (notmuch curses email client)
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
 <20211025003258.GB16646@HIDDEN> <87h7d5l29p.fsf_-_@HIDDEN>
 <878rrzwjj1.fsf_-_@HIDDEN> <20220505143110.GB5411@gac>
 <87o7y0ztse.fsf_-_@HIDDEN> <20220707192306.GV1675@gac>
Date: Fri, 08 Jul 2022 13:33:46 +0300
In-Reply-To: <20220707192306.GV1675@gac> (jgart via Guix-patches via's message
 of "Thu, 7 Jul 2022 19:23:06 -0500")
Message-ID: <86edyvq4fp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Sarah Morgensen <iskarian@HIDDEN>, jgart <jgart@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

jgart via Guix-patches via <guix-patches@HIDDEN>
anaandika:

[...]

>
> So, I should just patch lynx then, or also other things on that list?
>
> btw, bower is currently available from guixrus:
>
> https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packa=
ges/misc.scm#L143
>
> I also maintain the nix package for bower:
>
> https://github.com/NixOS/nixpkgs/blob/nixos-22.05/pkgs/applications/netwo=
rking/mailreaders/notmuch-bower/default.nix#L34
>

> I might stop maintaining the nix package since it's not as exciting work =
as maintaining the Guix package and I think I don't have time for that anym=
ore ;()
>
A bit of yak-shaving here, but why would you want
nix+guix on the same system?

=2D-=20
(Life is like a pencil that will surely run out,
    but will leave the beautiful writing of life.)
(D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
    (hkp://keys.gnupg.net))

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJKBAEBCAA0FiEE1PCesRAXfgPCji/h9buuHgOSJT8FAmLICAoWHG1lQGJvbmZh
Y2VtdW55b2tpLmNvbQAKCRD1u64eA5IlP4eXD/0d6l0GZBRPZMaH93IWqrqD4xh4
eeIekXVeJLEeISAw22lkySwqaa56ZMpn8xgjxRmAZ1wjyJzdvzZHe0x0HXdfxhN8
4+wl7RFEvH5dMLUmrwLG5OojBviQzFXxWA079ElJNvU+kjKR36OtNVLctT6B3aR2
Tv29hLWaBI2AHVTzMw25tSmxPTMozaPih7Tb4lJ2N3CcKw7QvSOxLFZhw2qTWHHf
fHpOTg6m4TA7Oj7Qjzx4xzArgyyn5SySC2t7T7qVfK2yRlmaHzfcAmMrRdBnw1Zc
daNK5lUwhHDSc8ylDB972QYYAW32fNJuWCfxQa/v4bet9JFwuL6CLXbKpcMSz2Aa
PF/ue43oPAwEYD3D9OnyPcLAIsksV5UEo9Vgz43BI3DNpDTNOL2PAuD1sVUoSFlU
2RNsKKThzk6DZjkNJtcc3NytiEXHVQ9UbRzfrz/exF1EDgQxXaFFrEyGVJE8g9pF
UeiFR9dQXT7tgs2xPFH68u8kv0CRpQQTKWSSIu6mzq7CUj6P2NAt0d5QSUHGS32T
N31QDwML90T7Hg2tywYDs0bVcFQVZYPoauxrbCX4F4WJbS2jlP1+hGThvQI615WI
pcK/brxyoDZeqrUGptB79XEU9OMYRgueE533li7qKGWNaUIeRnqCftXWLDzJbX+Y
biKi5QSayNY0zHHvgw==
=sUGr
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jul 2022 10:34:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 08 06:34:04 2022
Received: from localhost ([127.0.0.1]:58907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o9lJE-0007wW-9m
	for submit <at> debbugs.gnu.org; Fri, 08 Jul 2022 06:34:04 -0400
Received: from lists.gnu.org ([209.51.188.17]:57306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1o9lJB-0007vh-5P
 for submit <at> debbugs.gnu.org; Fri, 08 Jul 2022 06:34:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52692)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>)
 id 1o9lJA-0003Pt-Vp
 for guix-patches@HIDDEN; Fri, 08 Jul 2022 06:34:01 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:43235)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>)
 id 1o9lJ5-0000JD-PK; Fri, 08 Jul 2022 06:34:00 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 02C7F5C0113;
 Fri,  8 Jul 2022 06:33:52 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Fri, 08 Jul 2022 06:33:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 bonfacemunyoki.com; h=cc:cc:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to; s=fm1; t=1657276431; x=
 1657362831; bh=Dbk/QgDp8AVA51D1wlQfbwDiixhg9Ke4NAD5IH3taKw=; b=N
 gw5AB1bRZ5rNkGjZX2A68gpfqjF6fOQwqlIVHUxv8kFqMEngZL9BjVYZuTfgY1jI
 CXIcsGPQwrX7hDjQOZY5iZlODo2AR2/SmA2qDjv80MBPlgkALKPLvwqmg3M28ecy
 iBiJdAgSfwBRH8slNsu23EscRW+PIiIJ62GustoC4VRFyd+Rt9J+lHb/9ct+SfRV
 bjXIkNsCDYAK2X+4kOcfatquR54rLFufIRNn64lX/jgzdgUg3rkAyrFzEgcRlpQ9
 6e8q1Rr4Z92WywS5UyxcNUH0hPV58jscCnx6FRCKsZfGBx+zkYdmR7MBc3vgvlQY
 SVMsjFQ/eFlftKDRe2nEw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:in-reply-to:message-id
 :mime-version:references:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; t=1657276431; x=1657362831; bh=Dbk/QgDp8AVA51D1wlQfbwDiixhg
 9Ke4NAD5IH3taKw=; b=gvgqd2dnuzx6xO6L9emhBOwf41mVupWvzfMQ0ag7NL5Q
 gKkdakmF/dCqy8n3VHzKJSYw/mR7S6ngjZ92HXL+uhpWFvxlONn2q+fv/AGJU8b4
 A9vmMKLQ2fCDaSO7hiFG2NWAoXiRZ6ExRozZzYNrsBbW1xdeItl7PtqX8Z1OL1AU
 1VeEESOV3dwHMFHfIFGVqflYg5XiU5nqpm96Z4JIDbIxdO3gYMG9MvI9H4w6IS1Y
 641Fsh1uZ40ax78Wvg7k5bzlBH5LcmiLC8zuw3pcEEgVS3Q0jrkt+ddj1OMj3lEx
 cP5w1MWc8FcHoe2tFHZ6fTsvK9nlcIhQwSc3CcjuwQ==
X-ME-Sender: <xms:DwjIYq4vFx6jXnMQYNJUqW3d4Y0BFa2RBBUaiz--uvG5-U3TtssZwA>
 <xme:DwjIYj69E8UF_SxbhJxvlCjQuEmHgEZCltgepuPFRiAtH7fXSPaWIZdofwggD3wWb
 stLHWDXLoiOrQTsvyA>
X-ME-Received: <xmr:DwjIYpef9dVyh7KUCjFBMkYzNjj_KwtsMK5XcBDwbIkh_PhxNKM-xMS53-A>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrudeijedgfeduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvvefufhffjgfkfgggtgesghdtreertdertdenucfhrhhomhepofhunhih
 ohhkihcumfhilhihuhhnghhiuceomhgvsegsohhnfhgrtggvmhhunhihohhkihdrtghomh
 eqnecuggftrfgrthhtvghrnhepleekleeghfffgfefvdegudehleehfeehfffhfeekleel
 ieekjeejteekfeeigedunecuffhomhgrihhnpehsrhdrhhhtpdhgihhthhhusgdrtghomh
 dpghhnuhhpghdrnhgvthenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgr
 ihhlfhhrohhmpehmvgessghonhhfrggtvghmuhhnhihokhhirdgtohhm
X-ME-Proxy: <xmx:DwjIYnIJDh0_FjojG43yF-EVEwBL3-xM2CeQ3zMFyIDTSrlfkssrPg>
 <xmx:DwjIYuI10shfrMEougaNCkYntX3Rm-bc98lCXiBr1lKvWiU6vB06RA>
 <xmx:DwjIYoyZKIdSnetI5u1Es-9vDZ4xY6RJ3pFzShWXasTv8w13NvhhRA>
 <xmx:DwjIYjGruE6504c02Se68tZUHW40aTqd822n10JQxFzj3FyXvUD-LA>
Feedback-ID: ib8a1471e:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Fri,
 8 Jul 2022 06:33:50 -0400 (EDT)
From: Munyoki Kilyungi <me@HIDDEN>
To: jgart via Guix-patches via <guix-patches@HIDDEN>
Subject: Re: [bug#50833] [PATCH] Add Bower (notmuch curses email client)
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
 <20211025003258.GB16646@HIDDEN> <87h7d5l29p.fsf_-_@HIDDEN>
 <878rrzwjj1.fsf_-_@HIDDEN> <20220505143110.GB5411@gac>
 <87o7y0ztse.fsf_-_@HIDDEN> <20220707192306.GV1675@gac>
Date: Fri, 08 Jul 2022 13:33:46 +0300
In-Reply-To: <20220707192306.GV1675@gac> (jgart via Guix-patches via's message
 of "Thu, 7 Jul 2022 19:23:06 -0500")
Message-ID: <86edyvq4fp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
Received-SPF: pass client-ip=66.111.4.29; envelope-from=me@HIDDEN;
 helo=out5-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01,
 T_SPF_HELO_TEMPERROR=0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
Cc: 50833 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Sarah Morgensen <iskarian@HIDDEN>, jgart <jgart@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

jgart via Guix-patches via <guix-patches@HIDDEN>
anaandika:

[...]

>
> So, I should just patch lynx then, or also other things on that list?
>
> btw, bower is currently available from guixrus:
>
> https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packa=
ges/misc.scm#L143
>
> I also maintain the nix package for bower:
>
> https://github.com/NixOS/nixpkgs/blob/nixos-22.05/pkgs/applications/netwo=
rking/mailreaders/notmuch-bower/default.nix#L34
>

> I might stop maintaining the nix package since it's not as exciting work =
as maintaining the Guix package and I think I don't have time for that anym=
ore ;()
>
A bit of yak-shaving here, but why would you want
nix+guix on the same system?

=2D-=20
(Life is like a pencil that will surely run out,
    but will leave the beautiful writing of life.)
(D4F09EB110177E03C28E2FE1F5BBAE1E0392253F
    (hkp://keys.gnupg.net))

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJKBAEBCAA0FiEE1PCesRAXfgPCji/h9buuHgOSJT8FAmLICAoWHG1lQGJvbmZh
Y2VtdW55b2tpLmNvbQAKCRD1u64eA5IlP4eXD/0d6l0GZBRPZMaH93IWqrqD4xh4
eeIekXVeJLEeISAw22lkySwqaa56ZMpn8xgjxRmAZ1wjyJzdvzZHe0x0HXdfxhN8
4+wl7RFEvH5dMLUmrwLG5OojBviQzFXxWA079ElJNvU+kjKR36OtNVLctT6B3aR2
Tv29hLWaBI2AHVTzMw25tSmxPTMozaPih7Tb4lJ2N3CcKw7QvSOxLFZhw2qTWHHf
fHpOTg6m4TA7Oj7Qjzx4xzArgyyn5SySC2t7T7qVfK2yRlmaHzfcAmMrRdBnw1Zc
daNK5lUwhHDSc8ylDB972QYYAW32fNJuWCfxQa/v4bet9JFwuL6CLXbKpcMSz2Aa
PF/ue43oPAwEYD3D9OnyPcLAIsksV5UEo9Vgz43BI3DNpDTNOL2PAuD1sVUoSFlU
2RNsKKThzk6DZjkNJtcc3NytiEXHVQ9UbRzfrz/exF1EDgQxXaFFrEyGVJE8g9pF
UeiFR9dQXT7tgs2xPFH68u8kv0CRpQQTKWSSIu6mzq7CUj6P2NAt0d5QSUHGS32T
N31QDwML90T7Hg2tywYDs0bVcFQVZYPoauxrbCX4F4WJbS2jlP1+hGThvQI615WI
pcK/brxyoDZeqrUGptB79XEU9OMYRgueE533li7qKGWNaUIeRnqCftXWLDzJbX+Y
biKi5QSayNY0zHHvgw==
=sUGr
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 8 Jul 2022 00:23:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 07 20:23:09 2022
Received: from localhost ([127.0.0.1]:58369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o9bm1-0006It-HI
	for submit <at> debbugs.gnu.org; Thu, 07 Jul 2022 20:23:09 -0400
Received: from mx1.dismail.de ([78.46.223.134]:9700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1o9blz-0006IU-D3
 for 50833 <at> debbugs.gnu.org; Thu, 07 Jul 2022 20:23:08 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 78185dea;
 Fri, 8 Jul 2022 02:23:01 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=date
 :message-id:from:to:cc:subject:in-reply-to:references
 :mime-version:content-type:content-transfer-encoding; s=
 20190914; bh=pTKWCrnxXVI7l4CBL6WSlLlq2P9CFxtVKIpP+/rqNNs=; b=Zk2
 Hmok63NTncoVF4E0Bfsrntv3ALg6PG7dULfVECYyxuoFkX1Kw1JAvRoWozI0dCuJ
 ekT48eFHLSJSoyLY6LR2xO/DfJPS125DiqnS69kBZ1Exdu2fl+O1NuWD2EyLaexZ
 KZAhWzM/yT02rvtXvaDrgrbmoVzg7KfaSaJhDVvW5LRLaLIcZQE9dJ0i2e6gpF5m
 FtVoB++loTQdmy2WWCMfurfyWsf19PdsVFOnkYats/qBTlD9anlN7j1eoUyoh8/c
 T2+ioZKspO5EE/3OY2ZnJNGvaUVvFQnqe0xSTlhJfHEV6FqcgCnagqTwzdDNKPeh
 QraVR/cPFoocl4QIXaA==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id f6280f13;
 Fri, 8 Jul 2022 02:23:01 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id 57528143;
 Fri, 8 Jul 2022 02:23:00 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id d0cc647a
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Fri, 8 Jul 2022 02:23:00 +0200 (CEST)
Date: Thu, 7 Jul 2022 19:23:06 -0500
Message-ID: <20220707192306.GV1675@gac>
From: jgart <jgart@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#50833: [PATCH] Add Bower (notmuch curses email client)
In-Reply-To: <87o7y0ztse.fsf_-_@HIDDEN>
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
 <20211025003258.GB16646@HIDDEN> <87h7d5l29p.fsf_-_@HIDDEN>
 <878rrzwjj1.fsf_-_@HIDDEN> <20220505143110.GB5411@gac>
 <87o7y0ztse.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org, Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Sarah Morgensen <iskarian@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, 07 Jul 2022 14:01:21 -0400 Maxim Cournoyer <maxim.cournoyer@HIDDEN> wrote:
> Hi jgart,
> 
> [...]
> 
> >> jgart, could you look into that?  Then we can bring this review to
> >> completion :-)
> >
> > Hi Ludo, Maxim,
> >
> >
> > Thanks for the review and encouragement. Sorry for the delay. I've been
> > in the process of relocating/starting a new job and haven't been able
> > to catch up on Guix stuff I have pending.
> >
> > I spoke with wangp regading Lynx as an optional dependency:
> >
> > https://github.com/wangp/bower/issues/103
> >
> >> Like Sarah suggested, I’d recommend using ‘substitute*’ to
> > replace, say, /usr/bin/sendmail by /gnu/store/…/bin/sendmail.
> >
> > I can patch sendmail and the others mentioned by Sarah. What should we
> > do about lynx given wangp's insight on lynx as default in bower?
> 
> I think we should patch it, given that according to wangp "it doesn't
> behave that nicely when lynx is missing but it won't crash." and taking
> into account that lynx is very small (guix size lynx says it has a
> closure of 185.4 MiB).
> 
> I'm looking forward to the v2 :-)

So, I should just patch lynx then, or also other things on that list?

btw, bower is currently available from guixrus:

https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packages/misc.scm#L143

I also maintain the nix package for bower:

https://github.com/NixOS/nixpkgs/blob/nixos-22.05/pkgs/applications/networking/mailreaders/notmuch-bower/default.nix#L34

I might stop maintaining the nix package since it's not as exciting work as maintaining the Guix package and I think I don't have time for that anymore ;()

all best,

jgart




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 7 Jul 2022 18:01:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 07 14:01:33 2022
Received: from localhost ([127.0.0.1]:57810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o9Voi-0005aQ-Ue
	for submit <at> debbugs.gnu.org; Thu, 07 Jul 2022 14:01:33 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:41530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1o9Vof-0005Su-Pb
 for 50833 <at> debbugs.gnu.org; Thu, 07 Jul 2022 14:01:31 -0400
Received: by mail-qt1-f176.google.com with SMTP id c20so1629206qtw.8
 for <50833 <at> debbugs.gnu.org>; Thu, 07 Jul 2022 11:01:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=cXeBUy7e8wCsC0Dq3z1lO3q1voQcHiHr8xW4FZ5ygqw=;
 b=Fxme6R4c4qGk0fbxHj+S17QWDHMugP64SS7L/vBUYNLUkDi3oyqWSizCKlzrATNqe+
 4M//uhKuH3dffVwJE+NffHor4YeVtm/CT6Br4ofGSIcWU7+XtyMlMVH73CmaLfIPvGUQ
 K7ZEEgsRJBKwbX1OohvMmxggwKvcuBb/NueaLn2XfI05//TvV56jKBSLY+d0ILN1s35A
 eOd63pTT4iiFKLUY8maG1bfQc3+lvi8bT8qOdUy0Oe0CxtXkERJq2sE699aAdjB9XVuu
 OWNG78lO3rN+/JZLTDB2emqDCRwk5aUJF7ghNfwGV3aDV6KK3cViZRkU0ctYyrcdTzHT
 9xyw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=cXeBUy7e8wCsC0Dq3z1lO3q1voQcHiHr8xW4FZ5ygqw=;
 b=XK9TFqOsTJoXYiUisB5p4Tnleis2e4L++wgwLCPObWjnHBWm+UhleXTV8bx4RC5FrC
 uUP5gAiJVpJORGWA44nHQOo5YBXcB5JDICxko1w+CkMEZE+P65dlYyJMNqNOXlNxJ2dc
 MP+8v8LvIJ/5g+hiDdx6wVDw0tGTNa3uaXmvAMPPCg2P/dBx5SjOJYfPuEBiCkwpHnvS
 3D1F8fSzbozVRCzT5wFok2fWCmq/olXSQWXLaayy2y1w4o05biY37C3ifxG9TJ/8PgvV
 wexINketjEbivxTkJ+ltpTGAFcJ/+XSJ4bg4CNlu+vwFjOvDMC82+F/suBuHYpsFAcf6
 Lv3w==
X-Gm-Message-State: AJIora9UlU9q0qI2YTMKIivQrSA4zElBrOmTS8L/KPqC6+1JsaF0JPLt
 6orPUSqjyaXDyZnXN0/JlD8=
X-Google-Smtp-Source: AGRyM1tE7QpnYgJk+HEZNdQTZPH6WwN+T3K6z4NPVEnZrnTuvxCcRVEtA7Y3fmqcUU3jHGhDc2aEOg==
X-Received: by 2002:ad4:5ba1:0:b0:46e:2f1f:9836 with SMTP id
 1-20020ad45ba1000000b0046e2f1f9836mr41050397qvq.87.1657216883697; 
 Thu, 07 Jul 2022 11:01:23 -0700 (PDT)
Received: from hurd (dsl-153-127.b2b2c.ca. [66.158.153.127])
 by smtp.gmail.com with ESMTPSA id
 w20-20020a05620a445400b006af37b005bdsm26893535qkp.128.2022.07.07.11.01.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 07 Jul 2022 11:01:23 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: jgart <jgart@HIDDEN>
Subject: Re: bug#50833: [PATCH] Add Bower (notmuch curses email client)
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
 <20211025003258.GB16646@HIDDEN> <87h7d5l29p.fsf_-_@HIDDEN>
 <878rrzwjj1.fsf_-_@HIDDEN> <20220505143110.GB5411@gac>
Date: Thu, 07 Jul 2022 14:01:21 -0400
In-Reply-To: <20220505143110.GB5411@gac> (jgart@HIDDEN's message of "Thu, 
 5 May 2022 14:31:10 +0000")
Message-ID: <87o7y0ztse.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Sarah Morgensen <iskarian@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi jgart,

[...]

>> jgart, could you look into that?  Then we can bring this review to
>> completion :-)
>
> Hi Ludo, Maxim,
>
>
> Thanks for the review and encouragement. Sorry for the delay. I've been
> in the process of relocating/starting a new job and haven't been able
> to catch up on Guix stuff I have pending.
>
> I spoke with wangp regading Lynx as an optional dependency:
>
> https://github.com/wangp/bower/issues/103
>
>> Like Sarah suggested, I=E2=80=99d recommend using =E2=80=98substitute*=
=E2=80=99 to
> replace, say, /usr/bin/sendmail by /gnu/store/=E2=80=A6/bin/sendmail.
>
> I can patch sendmail and the others mentioned by Sarah. What should we
> do about lynx given wangp's insight on lynx as default in bower?

I think we should patch it, given that according to wangp "it doesn't
behave that nicely when lynx is missing but it won't crash." and taking
into account that lynx is very small (guix size lynx says it has a
closure of 185.4 MiB).

I'm looking forward to the v2 :-)

Thanks,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 5 May 2022 14:31:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 05 10:31:26 2022
Received: from localhost ([127.0.0.1]:46152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nmcVp-0004Mi-S7
	for submit <at> debbugs.gnu.org; Thu, 05 May 2022 10:31:26 -0400
Received: from mx1.dismail.de ([78.46.223.134]:21214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1nmcVn-0004MU-8c
 for 50833 <at> debbugs.gnu.org; Thu, 05 May 2022 10:31:24 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 9a3c27fa;
 Thu, 5 May 2022 16:31:16 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=date
 :message-id:from:to:cc:subject:in-reply-to:references
 :mime-version:content-type:content-transfer-encoding; s=
 20190914; bh=GmpvQJXEjh+skR00aaCaX7PoHLDO6K43BBN79JqsNxw=; b=Se1
 /9itHpHTDRW1FhgApXt/ps9860grYLPNZNGRartTYcW7A31Eg64wgVZGxfJ9MQVz
 naVyKm+vecZxn0/51NG+lFUfX3fJNgRdb+q1n0ea0NfGyqb+r28tUL5DcNQ2vxQb
 R2I+8TcAXn/N0AAHbAuZyokyGJowXiXmAdB2qgqCS6vj5YAmi2u9F0//7EfPlCWP
 l7/IaYTRug/1rshRTJ2XudzCzFeLV9p6girpoyLBr6YloJ5EXIhazYMcj3Z0iiE0
 j+/LnlV6dOqzVx1fqjGee3IyBMS1zAS1L8PPlF88LLOmKPcZ0076bD3fj+XzUQyI
 OvP3mEj9LGQCTLYRPWA==
Received: from smtp1.dismail.de (<unknown> [10.240.26.11])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 7cb9a37a;
 Thu, 5 May 2022 16:31:16 +0200 (CEST)
Received: from smtp1.dismail.de (localhost [127.0.0.1])
 by smtp1.dismail.de (OpenSMTPD) with ESMTP id 268c8ceb;
 Thu, 5 May 2022 16:31:16 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 72823a5e
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Thu, 5 May 2022 16:31:15 +0200 (CEST)
Date: Thu, 5 May 2022 14:31:10 +0000
Message-ID: <20220505143110.GB5411@gac>
From: jgart <jgart@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#50833: [PATCH] Add Bower (notmuch curses email client)
In-Reply-To: <878rrzwjj1.fsf_-_@HIDDEN>
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
 <20211025003258.GB16646@HIDDEN> <87h7d5l29p.fsf_-_@HIDDEN>
 <878rrzwjj1.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org, Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Sarah Morgensen <iskarian@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, 20 Apr 2022 17:07:46 -0400 Maxim Cournoyer <maxim.cournoyer@HIDDEN> wrote:
> Hello,
> 
> Ludovic Courtès <ludo@HIDDEN> writes:
> 
> > Hi!
> >
> > jgart <jgart@HIDDEN> skribis:
> >
> >> On Thu, 30 Sep 2021 19:11:24 -0700 Sarah Morgensen <iskarian@HIDDEN> wrote:
> >>> default_html_dump_command = command_prefix(shell_quoted(Lynx), quote_once) :-
> >>>     Lynx = "lynx -dump -force-html -stdin -display-charset=utf-8".
> >>
> >> Hi again,
> >>
> >> If lynx is being detected without needing to be wrapped should I still wrap it?
> >
> > It’s detected if it happens to be in $PATH, otherwise it won’t be found.
> >
> > Like Sarah suggested, I’d recommend using ‘substitute*’ to replace, say,
> > /usr/bin/sendmail by /gnu/store/…/bin/sendmail.  You can grep the code
> > for examples on how to do that; see also:
> >
> >   https://guix.gnu.org/manual/en/html_node/Build-Utilities.html#index-substitute_002a
> >
> > As for Lynx specifically, whether you’d leave it as is (in which case
> > it’s found if and only if it’s in $PATH), or whether you’d use
> > ‘substitute*’ depends on whether it’s an optional dependency or not.  If
> > Bower can gracefully handle lack of Lynx and, for instance, fall back to
> > another rendering method, then perhaps you can leave it as is.
> 
> jgart, could you look into that?  Then we can bring this review to
> completion :-)

Hi Ludo, Maxim,


Thanks for the review and encouragement. Sorry for the delay. I've been
in the process of relocating/starting a new job and haven't been able
to catch up on Guix stuff I have pending.

I spoke with wangp regading Lynx as an optional dependency:

https://github.com/wangp/bower/issues/103

> Like Sarah suggested, I’d recommend using ‘substitute*’ to
replace, say, /usr/bin/sendmail by /gnu/store/…/bin/sendmail.

I can patch sendmail and the others mentioned by Sarah. What should we
do about lynx given wangp's insight on lynx as default in bower?

all best,

jgart





Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.
Added tag(s) moreinfo. Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 20 Apr 2022 21:07:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 17:07:57 2022
Received: from localhost ([127.0.0.1]:47701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nhHYK-0006dA-PM
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 17:07:57 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:38703)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1nhHYI-0006cs-Ju
 for 50833 <at> debbugs.gnu.org; Wed, 20 Apr 2022 17:07:55 -0400
Received: by mail-qt1-f171.google.com with SMTP id d14so1940914qtw.5
 for <50833 <at> debbugs.gnu.org>; Wed, 20 Apr 2022 14:07:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=NgqJIfJfWC+7R+H6PBfoYM5N3GeBDzKMTPFIXxhMlyI=;
 b=fugYgJZK+NpOCqHaJrRpepHb2va2rGZE7zF9tYLGyMUW4cBCnkOINJFEmWTtY9BV5d
 MaQonSmXpDqpc9jyWoL/uo75mSUuBgYd/Vn82YZmFTAkyR0R2MLcdS/o+cooXpNovw2M
 lvtmP9Xs7Gyr6rGkKpFQevVzgSDdpo7Z1HXJUQAOHchaGBbhO+D5cfhP7jz/JklsqpzN
 AT8fhTdQCcbdRia/4uCd3f4/cyQuuFVwf4qPVVxaFK8GWjXl0sQsOBG4tr2IkmD1MTgu
 MSQ7oPDOBUbbWjWjZcPbIKjM9pptbE7q06efdb4Tb5uxULVK2aJs0jx2Skfd2peRi1YL
 v53A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=NgqJIfJfWC+7R+H6PBfoYM5N3GeBDzKMTPFIXxhMlyI=;
 b=jm6lOSt73DYTSYV0bsJCKrOJNbVgGle+rEzGHKNLiAIv2oAKNYYAnXbvShHexrpZEp
 Em8qvwfoNFBAG1rFeRRc4FmwVAGAqvt15IAAFzVJHbSA3jZd9iv1lRx+1ovOeyopTKqB
 VuU0Z3fLAxWb8u3w4E8UKnpZ3QxfExYS8IMT/vizh6B6n4ZPpOcCpTUnA5mem+1rHjww
 Uzd9rQQRzCJjPfQgqaDfwztzJWsLCRQO0SlYPpF+zB4OomfJ4U15F6byb52CJvVy4F7H
 D1xbQYbRgSaNBcvMIEhvCXvr8N/l69sFjNTfWFZYfPcavhJg47Vnma0TQ6a4FrfKPOU1
 KafQ==
X-Gm-Message-State: AOAM532PZzr5t1moEibbsbvl/wyHQ7DelDjUE66aSOZxjNirkHQm9hhR
 MrkSCtDALzFZdTh4LIE7lHL/slqA88+l3w==
X-Google-Smtp-Source: ABdhPJxLaByCQb8FGKC7qU/XC7TvboT3qp7n6c+pksDltGOr64XHUyasPEmqdFbhLGzX829XCFguVg==
X-Received: by 2002:a05:622a:1185:b0:2f3:3560:14e6 with SMTP id
 m5-20020a05622a118500b002f3356014e6mr7291561qtk.324.1650488869091; 
 Wed, 20 Apr 2022 14:07:49 -0700 (PDT)
Received: from hurd (dsl-10-133-90.b2b2c.ca. [72.10.133.90])
 by smtp.gmail.com with ESMTPSA id
 p12-20020a05622a00cc00b002ebdd6ef303sm2356096qtw.43.2022.04.20.14.07.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 20 Apr 2022 14:07:48 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#50833: [PATCH] Add Bower (notmuch curses email client)
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
 <20211025003258.GB16646@HIDDEN> <87h7d5l29p.fsf_-_@HIDDEN>
Date: Wed, 20 Apr 2022 17:07:46 -0400
In-Reply-To: <87h7d5l29p.fsf_-_@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s?=
 =?utf-8?Q?=22's?= message of "Mon, 25 Oct 2021 14:25:38 +0200")
Message-ID: <878rrzwjj1.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org, Sarah Morgensen <iskarian@HIDDEN>,
 jgart <jgart@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi!
>
> jgart <jgart@HIDDEN> skribis:
>
>> On Thu, 30 Sep 2021 19:11:24 -0700 Sarah Morgensen <iskarian@HIDDEN> w=
rote:
>>> default_html_dump_command =3D command_prefix(shell_quoted(Lynx), quote_=
once) :-
>>>     Lynx =3D "lynx -dump -force-html -stdin -display-charset=3Dutf-8".
>>
>> Hi again,
>>
>> If lynx is being detected without needing to be wrapped should I still w=
rap it?
>
> It=E2=80=99s detected if it happens to be in $PATH, otherwise it won=E2=
=80=99t be found.
>
> Like Sarah suggested, I=E2=80=99d recommend using =E2=80=98substitute*=E2=
=80=99 to replace, say,
> /usr/bin/sendmail by /gnu/store/=E2=80=A6/bin/sendmail.  You can grep the=
 code
> for examples on how to do that; see also:
>
>   https://guix.gnu.org/manual/en/html_node/Build-Utilities.html#index-sub=
stitute_002a
>
> As for Lynx specifically, whether you=E2=80=99d leave it as is (in which =
case
> it=E2=80=99s found if and only if it=E2=80=99s in $PATH), or whether you=
=E2=80=99d use
> =E2=80=98substitute*=E2=80=99 depends on whether it=E2=80=99s an optional=
 dependency or not.  If
> Bower can gracefully handle lack of Lynx and, for instance, fall back to
> another rendering method, then perhaps you can leave it as is.

jgart, could you look into that?  Then we can bring this review to
completion :-)

Thanks,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.
Changed bug title to '[PATCH] Add Bower (notmuch curses email client)' from 'Add bower (it's not what you're thinking)' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 25 Oct 2021 12:25:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 25 08:25:55 2021
Received: from localhost ([127.0.0.1]:41831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mez35-0006fC-8E
	for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 08:25:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mez33-0006ez-W5
 for 50833 <at> debbugs.gnu.org; Mon, 25 Oct 2021 08:25:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39604)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mez2x-0005dZ-BS; Mon, 25 Oct 2021 08:25:47 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=51414 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1mez2w-00064C-K2; Mon, 25 Oct 2021 08:25:47 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: jgart <jgart@HIDDEN>
Subject: Re: bug#50833: Add bower (it's not what you're thinking)
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
 <20211025003258.GB16646@HIDDEN>
Date: Mon, 25 Oct 2021 14:25:38 +0200
In-Reply-To: <20211025003258.GB16646@HIDDEN> (jgart@HIDDEN's
 message of "Mon, 25 Oct 2021 00:32:58 -0400")
Message-ID: <87h7d5l29p.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org, Sarah Morgensen <iskarian@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

jgart <jgart@HIDDEN> skribis:

> On Thu, 30 Sep 2021 19:11:24 -0700 Sarah Morgensen <iskarian@HIDDEN> wr=
ote:
>> default_html_dump_command =3D command_prefix(shell_quoted(Lynx), quote_o=
nce) :-
>>     Lynx =3D "lynx -dump -force-html -stdin -display-charset=3Dutf-8".
>
> Hi again,
>
> If lynx is being detected without needing to be wrapped should I still wr=
ap it?

It=E2=80=99s detected if it happens to be in $PATH, otherwise it won=E2=80=
=99t be found.

Like Sarah suggested, I=E2=80=99d recommend using =E2=80=98substitute*=E2=
=80=99 to replace, say,
/usr/bin/sendmail by /gnu/store/=E2=80=A6/bin/sendmail.  You can grep the c=
ode
for examples on how to do that; see also:

  https://guix.gnu.org/manual/en/html_node/Build-Utilities.html#index-subst=
itute_002a

As for Lynx specifically, whether you=E2=80=99d leave it as is (in which ca=
se
it=E2=80=99s found if and only if it=E2=80=99s in $PATH), or whether you=E2=
=80=99d use
=E2=80=98substitute*=E2=80=99 depends on whether it=E2=80=99s an optional d=
ependency or not.  If
Bower can gracefully handle lack of Lynx and, for instance, fall back to
another rendering method, then perhaps you can leave it as is.

HTH!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 25 Oct 2021 04:33:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 25 00:33:15 2021
Received: from localhost ([127.0.0.1]:41434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1merfb-0007qu-ND
	for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 00:33:15 -0400
Received: from mx1.dismail.de ([78.46.223.134]:18187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1merfZ-0007qd-Id
 for 50833 <at> debbugs.gnu.org; Mon, 25 Oct 2021 00:33:10 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 061c2df5;
 Mon, 25 Oct 2021 06:33:02 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=date
 :message-id:from:to:cc:subject:in-reply-to:references
 :mime-version:content-type:content-transfer-encoding; s=
 20190914; bh=gM8LrXt4jukwXNOXWrIkB25lCpYNnkYjHatGKUvc1mA=; b=Poc
 BPCbx21ygTgGD72CMUqv5f0dhmUq3E6D9iSlkoOpG3VtDKqQdmSC+W5syPUJWsM8
 hv9buECkclpb6Fl/rAWEPX4TNKNm5S4mZNUbtWejAE18TMTBz+rjVXSu6W9kEUc+
 NhhmrrBRw9rye7u1vbDOkY9ETnqbG5ANcdVB4Tq0LX7dffc7RyYChPXTF139EsuL
 5CW9it6PlM32Yptwdw+2BfLS6IluzXFf2AgE0A1Otpcg7w/Wt3a3J8f6oM+/NLYo
 TyNSTvplo7cZTLF6mr/pz+t5h/xNS8zWz3afcnLNzbtemmcphDfnZ3fO9UeHJrLf
 PZFIRpP3FyKfSeJtIrg==
Received: from smtp1.dismail.de (<unknown> [10.240.26.11])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id bb108240;
 Mon, 25 Oct 2021 06:33:01 +0200 (CEST)
Received: from smtp1.dismail.de (localhost [127.0.0.1])
 by smtp1.dismail.de (OpenSMTPD) with ESMTP id ac6a448b;
 Mon, 25 Oct 2021 06:33:01 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 284b5f5e
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 25 Oct 2021 06:33:00 +0200 (CEST)
Date: Mon, 25 Oct 2021 00:32:58 -0400
Message-ID: <20211025003258.GB16646@HIDDEN>
From: jgart <jgart@HIDDEN>
To: Sarah Morgensen <iskarian@HIDDEN>
Subject: Re: [bug#50833] [PATCH] gnu: Add bower.
In-Reply-To: <868rzdtrxv.fsf@HIDDEN>
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, 30 Sep 2021 19:11:24 -0700 Sarah Morgensen <iskarian@HIDDEN> wrote:
> default_html_dump_command = command_prefix(shell_quoted(Lynx), quote_once) :-
>     Lynx = "lynx -dump -force-html -stdin -display-charset=utf-8".

Hi again,

If lynx is being detected without needing to be wrapped should I still wrap it?

bower is currently finding lynx without me wrapping the binary in the store.

I installed both packages (lynx and bower) with guix and tested an html email
that would trigger lynx to render it. It works :)

This might reduce the code needed for the package definition if it is not necessary.

WDYT?




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 2 Oct 2021 07:59:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 02 03:59:10 2021
Received: from localhost ([127.0.0.1]:57774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWZvK-0001be-Jy
	for submit <at> debbugs.gnu.org; Sat, 02 Oct 2021 03:59:10 -0400
Received: from mx1.dismail.de ([78.46.223.134]:16313)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1mWZvF-0001b3-8D
 for 50833 <at> debbugs.gnu.org; Sat, 02 Oct 2021 03:59:09 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 1505563c;
 Sat, 2 Oct 2021 09:58:57 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=date
 :message-id:from:to:cc:subject:in-reply-to:references
 :mime-version:content-type:content-transfer-encoding; s=
 20190914; bh=tYZJnqSD4mkdXwBR653IwUfz0MYAFtMlJggG8oxv0f4=; b=NMC
 BQ/GyA+pHVpMy1vstivRDpcAU71Wf+K3XCTYMb416awQY30mNI96Gyk8oVAFhPTA
 W7N5GJxsZkMlxYsg/FG9CYnEHObhDMeyKWcsMhEbfrvS6S7NX3w36VqrQrZU3WHL
 ZP6LKY9edrxA/pXhqRfNoHPzo1VwRcR7upuPuG7VQBZx393bBRzcC1Me8gubOfnb
 GMbcat49svFRHBagNo9vmddDI2tTW+t1UkQLcRiLWoWmT/4T86KC+zrZnTzp6CHe
 qquVmxSr8x3k270i41Bp3B32jS9MGJ8sdPJiseA4hjIl2o70ClXCx2oK5o6ErTy2
 OfTeMdv2J0ewvDtdAgw==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id d4a9522a;
 Sat, 2 Oct 2021 09:58:57 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id 224dbc0a;
 Sat, 2 Oct 2021 09:58:57 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id e7a99454
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sat, 2 Oct 2021 09:58:56 +0200 (CEST)
Date: Sat, 2 Oct 2021 03:58:55 -0400
Message-ID: <20211002035855.GB1450@HIDDEN>
From: jgart <jgart@HIDDEN>
To: Sarah Morgensen <iskarian@HIDDEN>
Subject: Re: [bug#50833] [PATCH] gnu: Add bower.
In-Reply-To: <868rzdtrxv.fsf@HIDDEN>
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> default_editor_command =
>     command_prefix(shell_quoted("vi"), quote_once).

Should we really patch/wrap vi? 

I imagine we would also have to propagate it?

I have a feeling vi shouldn't be part of the bower package.

WDYT?




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 1 Oct 2021 03:31:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 23:31:48 2021
Received: from localhost ([127.0.0.1]:54412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mW9H1-0007BP-Nc
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 23:31:48 -0400
Received: from mx1.dismail.de ([78.46.223.134]:24952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1mW9Gy-0007Ae-06
 for 50833 <at> debbugs.gnu.org; Thu, 30 Sep 2021 23:31:45 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 99783b16
 for <50833 <at> debbugs.gnu.org>; Fri, 1 Oct 2021 05:31:43 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=from:to:cc
 :subject:date:message-id:mime-version:content-transfer-encoding;
 s=20190914; bh=foVCwAuONZ+BwdTdmZFa/AsOOBNyxtxw9zz62vpYjVA=; b=
 KafQ/rJHZxPuVdi94x8Ze4Ysllw3ZJ8l3lSX4iA8zhl51Y3zpVmwYHMphN1fZYHX
 ECuD8xzNZxbNcB2qoywk1y0jw6byEwh3Kw8b7VFT40GNoxgmjQIqg1VZZR8DPsZi
 oytlVR9RV39L/S5/jBntysF+hb7Tz0NKcfWej2ZlhV1qYkiKScyVVy/BzwiTh0Yw
 UN1tvGSDJgP0c8tHjlx5Rm+UjRzD0shu5vmdg0qSVcMINf3pX4LieQM5pgdUJEbm
 c9JCsA2BvRdyMCIYjnlweoTXe7aNIY1EzPh++CjkaqE2Om0uz8NVjodilFkiGs6g
 OQaaoP9BmXLpcLCID8uIVQ==
Received: from smtp1.dismail.de (<unknown> [10.240.26.11])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 8ad212b0
 for <50833 <at> debbugs.gnu.org>; Fri, 1 Oct 2021 05:31:42 +0200 (CEST)
Received: from smtp1.dismail.de (localhost [127.0.0.1])
 by smtp1.dismail.de (OpenSMTPD) with ESMTP id 1590b4a8
 for <50833 <at> debbugs.gnu.org>; Fri, 1 Oct 2021 05:31:42 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id c52393c1
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Fri, 1 Oct 2021 05:31:41 +0200 (CEST)
From: jgart <jgart@HIDDEN>
To: 50833 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Add bower.
Date: Thu, 30 Sep 2021 23:31:27 -0400
Message-Id: <20211001033127.4233-1-jgart@HIDDEN>
X-Mailer: git-send-email 2.33.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: jgart <jgart@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/mail.scm (bower): New variable.
---
 gnu/packages/mail.scm | 66 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index e1e56c33d0..3bfb81085b 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -87,6 +87,7 @@
   #:use-module (gnu packages file)
   #:use-module (gnu packages fontutils)
   #:use-module (gnu packages freedesktop)
+  #:use-module (gnu packages gawk)
   #:use-module (gnu packages gdb)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages ghostscript)
@@ -114,6 +115,7 @@
   #:use-module (gnu packages lua)
   #:use-module (gnu packages m4)
   #:use-module (gnu packages man)
+  #:use-module (gnu packages mercury)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages nettle)
   #:use-module (gnu packages networking)
@@ -1302,6 +1304,70 @@ agent (@dfn{MUA}) experience as an alternative to the Emacs mode shipped with
 Notmuch.")
     (license license:gpl3+)))
 
+(define-public bower
+  (package
+    (name "bower")
+    (version "0.13")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/wangp/bower")
+         (commit (string-append version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0r5s16pc3ym5nd33lv9ljv1p1gpb7yysrdni4g7w7yvjrnwk35l6"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:make-flags
+       (list
+        "bower" "man"
+        (string-append "CC=" ,(cc-for-target))
+        (string-append "prefix=" %output))
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (invoke "make" "-C" "tests"))))
+         (replace 'install
+           (lambda* (#:key outpus #:allow-other-keys)
+             (let ((bin (string-append (assoc-ref %outputs "out") "/bin"))
+                   (man (string-append (assoc-ref %outputs "out") "/share/man/man1"))
+                   (conf (string-append (assoc-ref %outputs "out") "/share/bower")))
+               (install-file "bower" bin)
+               (install-file "bower.conf.sample" (string-append conf "/bower.conf"))
+               (install-file "bower.1" man)))))))
+    (native-inputs
+     `(("diffutils" ,diffutils) ; needed for diff command
+       ("gawk" ,gawk)
+       ("mercury" ,mercury)
+       ("pandoc" ,pandoc)
+       ("util-linux" ,util-linux))) ; needed by rev command for test_process.m
+    (inputs
+     `(("coreutils" ,coreutils) ; needed for base64
+       ("file" ,file)
+       ("gpgme" ,gpgme)
+       ("ncurses" ,ncurses)
+       ("xclip" ,xclip)
+       ("xdg-utils" ,xdg-utils))) ; needed for xdg-open
+    (home-page "https://github.com/wangp/bower")
+    (synopsis "Terminal client for the notmuch email system")
+    (description
+"@command{bower} is a curses frontend for the notmuch email system.
+Bower has two main views: an index, and a combined message thread and pager.
+Bower can use the @command{notmuch address} command to look up email addresses
+where required, for example, when composing a new message.
+Bower is designed such that it can be run on the local machine but call
+out to @command{notmuch} via ssh on a remote machine storing your mail.
+  The advantage is that you can start helper programs on the local machine,
+for example, a web browser or image viewer, and add or save attachments on
+the local filesystem, even if your mail archive is stored on a different
+machine.")
+    (license license:gpl3+)))
+
 (define-public notifymuch
   (let
       ((commit "9d4aaf54599282ce80643b38195ff501120807f0")
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 1 Oct 2021 03:31:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 23:31:35 2021
Received: from localhost ([127.0.0.1]:54408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mW9Gp-0007Az-8F
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 23:31:35 -0400
Received: from mx1.dismail.de ([78.46.223.134]:24952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1mW9Gi-0007Ae-6S
 for 50833 <at> debbugs.gnu.org; Thu, 30 Sep 2021 23:31:34 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 5e479506;
 Fri, 1 Oct 2021 05:31:20 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=date
 :message-id:from:to:cc:subject:in-reply-to:references
 :mime-version:content-type:content-transfer-encoding; s=
 20190914; bh=npfZ4Hy9VY7gosCPm5dTiJjZr8ITrGjDhSxNP9IEaN4=; b=lHk
 v8+Kjo06+3tnk0yrvU772AGe63uKuMJHnV2fI5QL40HkSoDNx/9QD/BH9MWKR2ze
 U1Zw+xH5o2Ps7HmBpnBYyrUKebiap0qEj0CiNb+KzbhzzUvz+w/7trl9xdTaQSH2
 3eOTH9RTuWSeo5jd38EAsOswm5i45XqokzNAxL2Utw9fRQQRgzarPhbC10Fpjwy0
 f0RhqaZOxUExvNO14uOodQ18/PNzKU6LkI/8HcOwHMf8eYLeoM896IVxwhOONAS6
 32mjLTOphOfJrlPXGjWFmHQijnmotnEPfG3futhhD0DVMiAMgj6KL7W2j5CC4fGg
 QOkBYJtXMl78GX64KzQ==
Received: from smtp1.dismail.de (<unknown> [10.240.26.11])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id cbfb1844;
 Fri, 1 Oct 2021 05:31:20 +0200 (CEST)
Received: from smtp1.dismail.de (localhost [127.0.0.1])
 by smtp1.dismail.de (OpenSMTPD) with ESMTP id 9e5483e0;
 Fri, 1 Oct 2021 05:31:20 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 84ac35aa
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Fri, 1 Oct 2021 05:31:19 +0200 (CEST)
Date: Thu, 30 Sep 2021 23:31:16 -0400
Message-ID: <20210930233116.GB1935@HIDDEN>
From: jgart <jgart@HIDDEN>
To: Sarah Morgensen <iskarian@HIDDEN>
Subject: Re: [bug#50833] [PATCH] gnu: Add bower.
In-Reply-To: <868rzdtrxv.fsf@HIDDEN>
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN> <868rzdtrxv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, 30 Sep 2021 19:11:24 -0700 Sarah Morgensen <iskarian@HIDDEN> wrote:
> These are the locations I found.

Thanks! Not sure how I missed that :) I must have done the wrong thing with ripgrep

> default_sendmail_command =
>     command_prefix(shell_quoted("/usr/bin/sendmail -oi -oem"), quote_once).

Should sendmail really be wrapped? I feel like sendmail won't work "out of the" box
without some configuration first. I may be wrong. Not sure what to do there.

Maybe someone in the community can advise us further on that point?

The other ones seem sensible to wrap and as they mostly work without configuration.

I'm using msmtp instead of sendmail in my bower config. Seemed much simpler 
at the time to set up. I think the founding/main author of bower also uses msmtp 
instead of sendmail.

https://github.com/wangp/bower/blob/512b8be936db268d8ea94608cab486725cc2ec60/bower.conf.sample#L125

> Also, I just caught one more thing--usually we write out the full URL in
> the origin, rather than re-use the 'home-page' field.

Good catch! I stopped doing that also. That must have been from the package 
template I started from ;) 

I added a new patch with the home-page swapped below.

> Hope that helps,

Thank you! Yes, it does. Much appreciated :)

I hope to get back to this in a few days when I have more free time. 

Feel free to add patches if you'd like. We can commit together as co-authors.

all best,

jgart




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 1 Oct 2021 02:11:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 30 22:11:32 2021
Received: from localhost ([127.0.0.1]:54367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mW81M-0005ER-Aw
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 22:11:32 -0400
Received: from out1.migadu.com ([91.121.223.63]:16010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iskarian@HIDDEN>) id 1mW81I-0005EG-I1
 for 50833 <at> debbugs.gnu.org; Thu, 30 Sep 2021 22:11:31 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mgsn.dev; s=key1;
 t=1633054287;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=hzYRgcQhvhNFpJTjpdhx/waLxLCe4Qq0JcKo3McD4eg=;
 b=AuGQ4YTXFlt2z2f5G85/Tu7gdxdtFokoTty4dnHBboI0ei9KKuyYpM0oXoaoT6hAQX7Cd5
 1aKzC8CtRN/SrWSpLbIFFMBgZAWnMiDHeDvkcwocl2GZklOPYAZVm0FHYujynVjj0XKG6i
 xVXd6zp1PKU0/2xXKlZS0o3HBYr3ULk=
From: Sarah Morgensen <iskarian@HIDDEN>
To: jgart <jgart@HIDDEN>
Subject: Re: [bug#50833] [PATCH] gnu: Add bower.
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
 <20210928211220.GB21136@HIDDEN>
Date: Thu, 30 Sep 2021 19:11:24 -0700
In-Reply-To: <20210928211220.GB21136@HIDDEN> (jgart@HIDDEN's
 message of "Tue, 28 Sep 2021 21:12:20 -0400 (1 day, 2 hours, 56 minutes
 ago)")
Message-ID: <868rzdtrxv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: iskarian@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

Apologies for the delayed reply.

jgart <jgart@HIDDEN> writes:

>> If it's not possible to 'substitute*' those values, 'wrap-program' could
>> be used to add the correct directories to PATH, but that can introduce
>> other issues.
>
> I'll have to wrap my head around this one a bit more to understand what is needed.
>
> It looks like the mercury code does not call the binaries directly.
> I might be wrong. I have to take a closer look. Do you happen to have
> some places in the code where you see the binaries being called in a way that
> requires wrapping the path?

These are the locations I found.

src/compose.m
1488:base64_command = command_prefix(shell_quoted("base64"), quote_once).

src/detect_mime_type.m
55:file_command = command_prefix(shell_quoted("file"), quote_once).

src/prog_config.m
--8<---------------cut here---------------start------------->8---
:- func default_notmuch_command = command_prefix.

default_notmuch_command =
    command_prefix(shell_quoted("notmuch"), quote_once).

:- func default_editor_command = command_prefix.

default_editor_command =
    command_prefix(shell_quoted("vi"), quote_once).

:- func default_html_dump_command = command_prefix.

default_html_dump_command = command_prefix(shell_quoted(Lynx), quote_once) :-
    Lynx = "lynx -dump -force-html -stdin -display-charset=utf-8".

:- func default_open_part_command = string.

default_open_part_command = "xdg-open&".

:- func default_open_url_command = string.

default_open_url_command = "xdg-open&".

:- func default_pipe_id_command = string.

default_pipe_id_command = "xclip".

:- func default_alt_html_filter_command = command_prefix.

default_alt_html_filter_command =
    command_prefix(shell_quoted("pandoc -f markdown -t html"), quote_once).

:- func default_poll_period_secs = maybe(int).

default_poll_period_secs = yes(60).

:- func default_auto_refresh_inactive_secs = maybe(int).

default_auto_refresh_inactive_secs = no.

:- func default_sendmail_command = command_prefix.

default_sendmail_command =
    command_prefix(shell_quoted("/usr/bin/sendmail -oi -oem"), quote_once).
--8<---------------cut here---------------end--------------->8---

Also, I just caught one more thing--usually we write out the full URL in
the origin, rather than re-use the 'home-page' field.

Hope that helps,
--
Sarah




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 29 Sep 2021 01:12:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 21:12:41 2021
Received: from localhost ([127.0.0.1]:47337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVO9J-0006JJ-9K
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 21:12:41 -0400
Received: from mx1.dismail.de ([78.46.223.134]:7310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1mVO9H-0006Ij-Cu
 for 50833 <at> debbugs.gnu.org; Tue, 28 Sep 2021 21:12:40 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 37b8b1f8
 for <50833 <at> debbugs.gnu.org>; Wed, 29 Sep 2021 03:12:38 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=from:to:cc
 :subject:date:message-id:mime-version:content-transfer-encoding;
 s=20190914; bh=cA+mUsXJ+4tARTCKG24W6PZCkxxVIPirnuySahtLHpM=; b=
 L+WrKaOteNJmOqpz8OgjWcMEtI5twRf9Q7VVj+8K5NinAviUMi8++yX8HSpg86R1
 8czvo7prewOb46MDZkv7J30EHsdmFOHt9DNo/mAHB/A0J+q3Fnec6oG3bejEznT7
 cBSop/gXe+bGhMtQMEtUmv4CiAnwkQC8CQqqx2WpdLco1ruB68naD0yitPdb3JdU
 DRYaiwbeI1GGB12kgGs0PTQRkUz0iSduZd94zlEdE535J7o7l2RGcudKeV6cPXSk
 N2UWLUUXSbExBTuFaegrDIuHbZFioFFYVVVD5Wh67IFk866HPB2Xt+iGWE7ODJje
 9a/hEA//xqXUlhy9NkzKdg==
Received: from smtp1.dismail.de (<unknown> [10.240.26.11])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 045390ec
 for <50833 <at> debbugs.gnu.org>; Wed, 29 Sep 2021 03:12:37 +0200 (CEST)
Received: from smtp1.dismail.de (localhost [127.0.0.1])
 by smtp1.dismail.de (OpenSMTPD) with ESMTP id 650a3931
 for <50833 <at> debbugs.gnu.org>; Wed, 29 Sep 2021 03:12:37 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id eacae6a0
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Wed, 29 Sep 2021 03:12:37 +0200 (CEST)
From: jgart <jgart@HIDDEN>
To: 50833 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Add bower.
Date: Tue, 28 Sep 2021 21:12:32 -0400
Message-Id: <20210929011232.21061-1-jgart@HIDDEN>
X-Mailer: git-send-email 2.33.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: jgart <jgart@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/mail.scm (bower): New variable.
---
 gnu/packages/mail.scm | 66 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index b3bdf13537..9c5a1a7e22 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -87,6 +87,7 @@
   #:use-module (gnu packages file)
   #:use-module (gnu packages fontutils)
   #:use-module (gnu packages freedesktop)
+  #:use-module (gnu packages gawk)
   #:use-module (gnu packages gdb)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages ghostscript)
@@ -114,6 +115,7 @@
   #:use-module (gnu packages lua)
   #:use-module (gnu packages m4)
   #:use-module (gnu packages man)
+  #:use-module (gnu packages mercury)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages nettle)
   #:use-module (gnu packages networking)
@@ -1302,6 +1304,70 @@ agent (@dfn{MUA}) experience as an alternative to the Emacs mode shipped with
 Notmuch.")
     (license license:gpl3+)))
 
+(define-public bower
+  (package
+    (name "bower")
+    (version "0.13")
+    (home-page "https://github.com/wangp/bower")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url home-page)
+         (commit (string-append version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0r5s16pc3ym5nd33lv9ljv1p1gpb7yysrdni4g7w7yvjrnwk35l6"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:make-flags
+       (list
+        "bower" "man"
+        (string-append "CC=" ,(cc-for-target))
+        (string-append "prefix=" %output))
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (invoke "make" "-C" "tests"))))
+         (replace 'install
+           (lambda* (#:key outpus #:allow-other-keys)
+             (let ((bin (string-append (assoc-ref %outputs "out") "/bin"))
+                   (man (string-append (assoc-ref %outputs "out") "/share/man/man1"))
+                   (conf (string-append (assoc-ref %outputs "out") "/share/bower")))
+               (install-file "bower" bin)
+               (install-file "bower.conf.sample" (string-append conf "/bower.conf"))
+               (install-file "bower.1" man)))))))
+    (native-inputs
+     `(("diffutils" ,diffutils) ; needed for diff command
+       ("gawk" ,gawk)
+       ("mercury" ,mercury)
+       ("pandoc" ,pandoc)
+       ("util-linux" ,util-linux))) ; needed by rev command for test_process.m
+    (inputs
+     `(("coreutils" ,coreutils) ; needed for base64
+       ("file" ,file)
+       ("gpgme" ,gpgme)
+       ("ncurses" ,ncurses)
+       ("xclip" ,xclip)
+       ("xdg-utils" ,xdg-utils))) ; needed for xdg-open
+    (synopsis "Terminal client for the notmuch email system")
+    (description
+"@command{bower} is a curses frontend for the notmuch email system.
+Bower has two main views: an index, and a combined message thread and pager.
+Bower can use the @command{notmuch address} command to look up email addresses
+where required, for example, when composing a new message.
+Bower is designed such that it can be run on the local machine but call
+out to @command{notmuch} via ssh on a remote machine storing your mail.
+  The advantage is that you can start helper programs on the local machine,
+for example, a web browser or image viewer, and add or save attachments on
+the local filesystem, even if your mail archive is stored on a different
+machine.")
+    (license license:gpl3+)))
+
 (define-public notifymuch
   (let
       ((commit "9d4aaf54599282ce80643b38195ff501120807f0")
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 29 Sep 2021 01:12:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 21:12:33 2021
Received: from localhost ([127.0.0.1]:47333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVO9B-0006Iz-1n
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 21:12:33 -0400
Received: from mx1.dismail.de ([78.46.223.134]:7310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1mVO98-0006Ij-VQ
 for 50833 <at> debbugs.gnu.org; Tue, 28 Sep 2021 21:12:31 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 0df38307;
 Wed, 29 Sep 2021 03:12:23 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=date
 :message-id:from:to:cc:subject:in-reply-to:references
 :mime-version:content-type:content-transfer-encoding; s=
 20190914; bh=mHYJN9Btqay8UGuDDNCS4l+qN9Yn0ib6vzf4Lw5pwpA=; b=d9w
 EIW+3HUIfmfYJATCfKD8XRduUm7/KbsBK9V4TN5cCb41IlTByCCX+rYi+QArbTc1
 qdwP1Cp4YdQnz40JSNufQRaO7+3WiwvZMm+wLMybTm6Vj+ilX8LxSQKzJNXIRQ5Z
 ZrsY+3oM0FJvszZ3QzlXGWkCWg3cJ6Vucswait2S6Po2R/vI4Ja9TW0nKz6QGTf3
 kuSMfzyE4hW4YQjGLso63VTa/yRD+4R5ngeQqYMxQYQ+3YMeqpvp9427aFMjYY07
 I+gkVJuuyvch3nADgxMzuAV+44Ds8iq6oz2pOQgglYbRWL6qa/WtyMOIosVS9XLv
 TIQo0qV+lVioBB5MEuA==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id d40b52ea;
 Wed, 29 Sep 2021 03:12:23 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id 38b9cdce;
 Wed, 29 Sep 2021 03:12:23 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id 0444077e
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Wed, 29 Sep 2021 03:12:22 +0200 (CEST)
Date: Tue, 28 Sep 2021 21:12:20 -0400
Message-ID: <20210928211220.GB21136@HIDDEN>
From: jgart <jgart@HIDDEN>
To: Sarah Morgensen <iskarian@HIDDEN>
Subject: Re: [bug#50833] [PATCH] gnu: Add bower.
In-Reply-To: <864ka6vnkv.fsf@HIDDEN>
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN> <864ka6vnkv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sun, 26 Sep 2021 18:01:20 -0700 Sarah Morgensen <iskarian@HIDDEN> wrote:

Hi Sarah, thanks for all the feedback! It is much appreciated that you took
the time to do that.

>   (invoke "make" "-C" "tests")

I added this.

> or maybe even avoid the custom phase with test-target:
> 
>   #:test-target "--directory=tests"

This one didn't work out for me.

> It might be helpful to also install bower.conf.sample to "/share/bower",
> so we have an example config file.

Added this request.

> If it's not possible to 'substitute*' those values, 'wrap-program' could
> be used to add the correct directories to PATH, but that can introduce
> other issues.

I'll have to wrap my head around this one a bit more to understand what is needed.

It looks like the mercury code does not call the binaries directly.
I might be wrong. I have to take a closer look. Do you happen to have
some places in the code where you see the binaries being called in a way that
requires wrapping the path?

I updated the description :)

Below is the updated patch.

all best




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 27 Sep 2021 01:01:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 26 21:01:27 2021
Received: from localhost ([127.0.0.1]:39086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUf1K-0000NW-NJ
	for submit <at> debbugs.gnu.org; Sun, 26 Sep 2021 21:01:27 -0400
Received: from out0.migadu.com ([94.23.1.103]:61380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iskarian@HIDDEN>) id 1mUf1H-0000NM-RQ
 for 50833 <at> debbugs.gnu.org; Sun, 26 Sep 2021 21:01:25 -0400
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mgsn.dev; s=key1;
 t=1632704481;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=g49/DGx1/Qm3Njdb2Axzug4di3PizzJbpfmjLoQiWg0=;
 b=Lm2FHG1EKzawWdOkRI4Vtrv2LlGWmJb8fQWmdxcrgSz9yZeCuM5MoRNFMB6vwUWGROHP9J
 ht+AnA5OlSM5tpTgd2wTbElJ+q43HiJ1dXY9N+cwWVTCK3jcHSGFQp8R/tg9ey354JNRQc
 F4W8W/p0PR16NJCDuxvyvNaN4vG0TFE=
From: Sarah Morgensen <iskarian@HIDDEN>
To: jgart <jgart@HIDDEN>
Subject: Re: [bug#50833] [PATCH] gnu: Add bower.
References: <20210926190836.GB8410@HIDDEN>
 <20210926231145.18651-1-jgart@HIDDEN>
Date: Sun, 26 Sep 2021 18:01:20 -0700
In-Reply-To: <20210926231145.18651-1-jgart@HIDDEN> (jgart@HIDDEN's
 message of "Sun, 26 Sep 2021 19:11:45 -0400 (1 hour, 17 minutes, 31
 seconds ago)")
Message-ID: <864ka6vnkv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: iskarian@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: 50833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

Thanks for the patch.  I don't use notmuch (yet) but I test-built this
and I have a few suggestions :)

jgart <jgart@HIDDEN> writes:

> * gnu/packages/mail.scm (bower): New variable.
> ---
>  gnu/packages/mail.scm | 54 +++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 54 insertions(+)
>
> diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
> index b3bdf13537..f0624c12c4 100644
> --- a/gnu/packages/mail.scm
> +++ b/gnu/packages/mail.scm
> @@ -87,6 +87,7 @@
>    #:use-module (gnu packages file)
>    #:use-module (gnu packages fontutils)
>    #:use-module (gnu packages freedesktop)
> +  #:use-module (gnu packages gawk)
>    #:use-module (gnu packages gdb)
>    #:use-module (gnu packages gettext)
>    #:use-module (gnu packages ghostscript)
> @@ -114,6 +115,7 @@
>    #:use-module (gnu packages lua)
>    #:use-module (gnu packages m4)
>    #:use-module (gnu packages man)
> +  #:use-module (gnu packages mercury)
>    #:use-module (gnu packages ncurses)
>    #:use-module (gnu packages nettle)
>    #:use-module (gnu packages networking)
> @@ -1302,6 +1304,58 @@ agent (@dfn{MUA}) experience as an alternative to the Emacs mode shipped with
>  Notmuch.")
>      (license license:gpl3+)))
>  
> +(define-public bower
> +  (package
> +    (name "bower")
> +    (version "0.13")
> +    (home-page "https://github.com/wangp/bower")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri
> +        (git-reference
> +         (url home-page)
> +         (commit (string-append version))))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32 "0r5s16pc3ym5nd33lv9ljv1p1gpb7yysrdni4g7w7yvjrnwk35l6"))))
> +    (build-system gnu-build-system)
> +    (arguments
> +     `(#:make-flags
> +       (list
> +        "bower" "man"
> +        (string-append "CC=" ,(cc-for-target))
> +        (string-append "prefix=" %output))
> +       #:phases
> +       (modify-phases %standard-phases
> +         (delete 'configure)
> +         (replace 'check
> +           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
> +             (when tests?
> +               (chdir "tests")
> +               (invoke "make"))))

Rather than chdir, you can just

  (invoke "make" "-C" "tests")

or maybe even avoid the custom phase with test-target:

  #:test-target "--directory=tests"

(Yes, it's a bit of a cheat, but test-target is just passed as the first
argument to make, and we want the default target anyway, so it works.)

> +         (replace 'install
> +           (lambda* (#:key outpus #:allow-other-keys)
> +             (let ((bin (string-append (assoc-ref %outputs "out") "/bin"))
> +                   (man (string-append (assoc-ref %outputs "out") "/share/man/man1")))
> +               (chdir "..")
> +               (install-file "bower" bin)
> +               (install-file "bower.1" man)))))))

It might be helpful to also install bower.conf.sample to "/share/bower",
so we have an example config file.

> +    (native-inputs
> +     `(("diffutils" ,diffutils) ; needed for diff command
> +       ("gawk" ,gawk)
> +       ("mercury" ,mercury)
> +       ("pandoc" ,pandoc)
> +       ("util-linux" ,util-linux))) ; needed by rev command for test_process.m
> +    (inputs
> +     `(("gpgme" ,gpgme)
> +       ("ncurses" ,ncurses)))

The README says that it also uses "base64" from coreutils, "file", and
optionally "lynx"; a grep through the source shows the following
commands used (some of them are just defaults):

base64
file

vi (used if EDITOR is not set)
lynx (used for formatting HTML messages)
xdg-open (used for opening links and MIME parts)
xclip
pandoc (used for composing multipart/alternative messages)
/usr/bin/sendmail

Other than "base64" and "file" I'm not sure which (if any) of these
should be directly linked.  "/usr/bin/sendmail" should be "sendmail" if
it's not linked, though.  "xdg-open" and "xclip" aren't available from
my PATH, but they are configurable in bower.conf, so... yeah, I'm not
sure.  Just know that without changing the bower.conf value or
installing "xdg-open", links won't open automatically.  Same for the
clipboard and reading/composing HTML messages.

If it's not possible to 'substitute*' those values, 'wrap-program' could
be used to add the correct directories to PATH, but that can introduce
other issues.

> +    (synopsis "Terminal client for the notmuch email system")
> +    (description
> +"@command{bower} is a curses frontend for the notmuch email system.
> +@command{bower} is written in mercury.")

Could you expand the description a bit, perhaps with some of the
features you quoted in your first email?  It also seems that
configurability (seen above) is another of its draws, so maybe mention
that as well :)

(Also, in my opinion "written in X" isn't relevant for end-user
packages, but I know others who would disagree, so...)

> +    (license license:gpl3+)))
> +
>  (define-public notifymuch
>    (let
>        ((commit "9d4aaf54599282ce80643b38195ff501120807f0")

Thanks again for your work! 

--
Sarah




Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at 50833 <at> debbugs.gnu.org:


Received: (at 50833) by debbugs.gnu.org; 26 Sep 2021 23:12:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 26 19:12:06 2021
Received: from localhost ([127.0.0.1]:38972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUdJW-0006CD-6S
	for submit <at> debbugs.gnu.org; Sun, 26 Sep 2021 19:12:06 -0400
Received: from mx1.dismail.de ([78.46.223.134]:10791)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1mUdJT-0006Bj-VF
 for 50833 <at> debbugs.gnu.org; Sun, 26 Sep 2021 19:12:04 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 15bf17e4
 for <50833 <at> debbugs.gnu.org>; Mon, 27 Sep 2021 01:11:58 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=from:to:cc
 :subject:date:message-id:mime-version:content-transfer-encoding;
 s=20190914; bh=3y4nXP8m3coQulx2+td9Yfvdzv8Dc73ZfWyQHO7lk5c=; b=
 T+pVAjHZoQTde1dMatvndtDBgIcP40z/8uy9pnZbw+QfTeRe9LGK7HH4u1aH8Wcy
 hnABOFNTz9CmsEV5TxRYBdF8g1+WurLXewFFiuX87ZRJn8NRD9xT3Tt059R+jlbX
 1JzLXmDQeKrdodjQ5GTjQEBe2GX0bYHsgxasS7gHGDeeQLZFBVE2X4W8V9Vmdrbn
 IG+RdDJpql+8HL93nA3g6dBQpKDGcCuKEZJ+sweXbeHf6+N61MnmxF+SWSR9aDQ2
 eDR0I6xlR2mSfetEMWDmjq9qRDnB7XwsChvPWRT88X9WEU6M0TjzXXJv5gHvhBHr
 afEA2U6DMGKPieQsvrvGtQ==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id c7b08d4b
 for <50833 <at> debbugs.gnu.org>; Mon, 27 Sep 2021 01:11:57 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id b7b12b34
 for <50833 <at> debbugs.gnu.org>; Mon, 27 Sep 2021 01:11:57 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id e1b11b68
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 27 Sep 2021 01:11:52 +0200 (CEST)
From: jgart <jgart@HIDDEN>
To: 50833 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Add bower.
Date: Sun, 26 Sep 2021 19:11:45 -0400
Message-Id: <20210926231145.18651-1-jgart@HIDDEN>
X-Mailer: git-send-email 2.33.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50833
Cc: jgart <jgart@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/mail.scm (bower): New variable.
---
 gnu/packages/mail.scm | 54 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index b3bdf13537..f0624c12c4 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -87,6 +87,7 @@
   #:use-module (gnu packages file)
   #:use-module (gnu packages fontutils)
   #:use-module (gnu packages freedesktop)
+  #:use-module (gnu packages gawk)
   #:use-module (gnu packages gdb)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages ghostscript)
@@ -114,6 +115,7 @@
   #:use-module (gnu packages lua)
   #:use-module (gnu packages m4)
   #:use-module (gnu packages man)
+  #:use-module (gnu packages mercury)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages nettle)
   #:use-module (gnu packages networking)
@@ -1302,6 +1304,58 @@ agent (@dfn{MUA}) experience as an alternative to the Emacs mode shipped with
 Notmuch.")
     (license license:gpl3+)))
 
+(define-public bower
+  (package
+    (name "bower")
+    (version "0.13")
+    (home-page "https://github.com/wangp/bower")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url home-page)
+         (commit (string-append version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0r5s16pc3ym5nd33lv9ljv1p1gpb7yysrdni4g7w7yvjrnwk35l6"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:make-flags
+       (list
+        "bower" "man"
+        (string-append "CC=" ,(cc-for-target))
+        (string-append "prefix=" %output))
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (chdir "tests")
+               (invoke "make"))))
+         (replace 'install
+           (lambda* (#:key outpus #:allow-other-keys)
+             (let ((bin (string-append (assoc-ref %outputs "out") "/bin"))
+                   (man (string-append (assoc-ref %outputs "out") "/share/man/man1")))
+               (chdir "..")
+               (install-file "bower" bin)
+               (install-file "bower.1" man)))))))
+    (native-inputs
+     `(("diffutils" ,diffutils) ; needed for diff command
+       ("gawk" ,gawk)
+       ("mercury" ,mercury)
+       ("pandoc" ,pandoc)
+       ("util-linux" ,util-linux))) ; needed by rev command for test_process.m
+    (inputs
+     `(("gpgme" ,gpgme)
+       ("ncurses" ,ncurses)))
+    (synopsis "Terminal client for the notmuch email system")
+    (description
+"@command{bower} is a curses frontend for the notmuch email system.
+@command{bower} is written in mercury.")
+    (license license:gpl3+)))
+
 (define-public notifymuch
   (let
       ((commit "9d4aaf54599282ce80643b38195ff501120807f0")
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Sep 2021 23:08:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 26 19:08:48 2021
Received: from localhost ([127.0.0.1]:38966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUdGK-00066L-Mb
	for submit <at> debbugs.gnu.org; Sun, 26 Sep 2021 19:08:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:60610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgart@HIDDEN>) id 1mUdGJ-00066E-0L
 for submit <at> debbugs.gnu.org; Sun, 26 Sep 2021 19:08:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35732)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jgart@HIDDEN>) id 1mUdGI-0000Ma-ON
 for guix-patches@HIDDEN; Sun, 26 Sep 2021 19:08:46 -0400
Received: from mx1.dismail.de ([78.46.223.134]:38741)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jgart@HIDDEN>) id 1mUdGG-0003pD-F2
 for guix-patches@HIDDEN; Sun, 26 Sep 2021 19:08:46 -0400
Received: from mx1.dismail.de (localhost [127.0.0.1])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id bd8da534;
 Mon, 27 Sep 2021 01:08:39 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=dismail.de; h=date
 :message-id:from:to:subject:references:mime-version:content-type
 :content-transfer-encoding; s=20190914; bh=AxgDyspKAAkvLc7wIMIpQ
 q+eiBPo/l4T1lf9syLNh5A=; b=aE/s6xv6Oih/0j7UI1b2Bt51yLouoisCTJ+uj
 FpIU12CdisrrVOaa/aZr6l5oJFZy19AKDaoHo2vdCu4qc2UoK8Q7aoeVwN8oxk8d
 GlLFHriIsxorWqlz4BWh8ODZGcsSIxpejCKucX8FJ5ct6raS65RZE99Bp/o1lHMU
 Lkf+akmIVWpTFKODiVCoD5MXAatQGnE3ft6qsGcYYeZ3RSkmNA6JvsEDVrI2kJWd
 CBLHU1ummHOqmsXv+0drGWTjXZW35VyQLHKsASQGly0mSTZVKiaWmWaVQwQvXDRI
 x1jT7n2UWIZWvBbQGAHDkfIrQIro8YvgSvrlVG2EXYQq48awg==
Received: from smtp2.dismail.de (<unknown> [10.240.26.12])
 by mx1.dismail.de (OpenSMTPD) with ESMTP id 3fbaf836;
 Mon, 27 Sep 2021 01:08:39 +0200 (CEST)
Received: from smtp2.dismail.de (localhost [127.0.0.1])
 by smtp2.dismail.de (OpenSMTPD) with ESMTP id feae5ecd;
 Mon, 27 Sep 2021 01:08:38 +0200 (CEST)
Received: by dismail.de (OpenSMTPD) with ESMTPSA id a9dac488
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 27 Sep 2021 01:08:38 +0200 (CEST)
Date: Sun, 26 Sep 2021 19:08:36 -0400
Message-ID: <20210926190836.GB8410@HIDDEN>
From: jgart <jgart@HIDDEN>
To: Guix Patches <guix-patches@HIDDEN>
Subject: Add bower (it's not what you're thinking)
References: 
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=78.46.223.134; envelope-from=jgart@HIDDEN;
 helo=mx1.dismail.de
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi Guixers!

Here's bower, a notmuch client written in mercury.

This thing is awesome! It's my main email client.

I use it paired with offlineimap3, msmtp, and vis (composing emails).

One of the unique things about bower is that:

> Bower is designed such that it can be run on the local machine but call
> out to notmuch on a remote machine (that holds your mail) via ssh. The
> advantage is that you can start helper programs on the local machine
> (e.g. a web browser or image viewer), and add or save attachments on
> the local filesystem, even if your mail archive is stored on a different
> machine.

Tests are enabled and passing.

If anyone can't wait for this bower to get reviewed and merged then it is also
available now from GuixRUS channel:

https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packages/bower.scm

Bower's packaged for alpine linux, gentoo, aur and nix. I currently maintain
the nix package also:

https://github.com/NixOS/nixpkgs/blob/nixos-unstable/pkgs/applications/networking/mailreaders/notmuch-bower/default.nix#L34

all best,

jgart

3B1D 7F19 E36B B60C 0F5B 2CA9 A52A A2B4 77B6 DD35

https://github.com/wangp/bower

My bower config: 

https://git.sr.ht/~jgart/dotfiles/tree/master/item/private_dot_config/bower/bower.conf




Acknowledgement sent to jgart <jgart@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#50833; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 11 Jul 2022 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.